import * as Interfaces from '../../generated/telegram-interfaces';
import type { AttachmentType } from '../../types/types';
import { PhotoSize } from '../structures/photo-size';
import { FileAttachment } from './file-attachment';
/**
 * This object represents an animation file
 * (GIF or H.264/MPEG-4 AVC video without sound).
 */
export declare class AnimationAttachment extends FileAttachment<Interfaces.TelegramAnimation> {
    attachmentType: AttachmentType;
    /** Video width as defined by sender */
    get width(): number;
    /** Video height as defined by sender */
    get height(): number;
    /** Duration of the video in seconds as defined by sender */
    get duration(): number;
    /** Animation thumbnail as defined by sender */
    get thumbnail(): PhotoSize | undefined;
    /** Original animation filename as defined by sender */
    get fileName(): string | undefined;
    /** MIME type of the file as defined by sender */
    get mimeType(): string | undefined;
    /** File size */
    get fileSize(): number | undefined;
    toJSON(): Interfaces.TelegramAnimation;
}
