import * as Interfaces from '../../generated/telegram-interfaces';
import type { AttachmentType } from '../../types/types';
import { PhotoSize } from '../structures/photo-size';
import { FileAttachment } from './file-attachment';
/**
 * This object represents an audio file to be treated as music by the Telegram
 * clients.
 */
export declare class AudioAttachment extends FileAttachment<Interfaces.TelegramAudio> {
    attachmentType: AttachmentType;
    /** Duration of the audio in seconds as defined by sender */
    get duration(): number;
    /** Performer of the audio as defined by sender or by audio tags */
    get performer(): string | undefined;
    /** Title of the audio as defined by sender or by audio tags */
    get title(): string | undefined;
    /** Original filename as defined by sender */
    get fileName(): string | undefined;
    /** MIME type of the file as defined by sender */
    get mimeType(): string | undefined;
    /** File size */
    get fileSize(): number | undefined;
    /** Thumbnail of the album cover to which the music file belongs */
    get thumbnail(): PhotoSize | undefined;
    toJSON(): Interfaces.TelegramAudio;
}
