import * as Interfaces from '../../generated/telegram-interfaces';
import type { AttachmentType } from '../../types/types';
import { PhotoSize } from '../structures/photo-size';
import { FileAttachment } from './file-attachment';
/**
 * This object represents a general file (as opposed to photos, voice messages
 * and audio files).
 */
export declare class DocumentAttachment extends FileAttachment<Interfaces.TelegramDocument> {
    attachmentType: AttachmentType;
    /** Document thumbnail as defined by sender */
    get thumbnail(): PhotoSize | undefined;
    /** Original filename as defined by sender */
    get fileName(): string | undefined;
    /** MIME type of the file as defined by sender */
    get mimeType(): string | undefined;
    /** File size */
    get fileSize(): number | undefined;
    toJSON(): Interfaces.TelegramDocument;
}
