"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileAttachment = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const attachment_1 = require("./attachment");
/** Attachment with `fileId` and `fileUniqueId` properties */
let FileAttachment = class FileAttachment extends attachment_1.Attachment {
    constructor(payload) {
        super();
        this.payload = payload;
    }
    /** Identifier for this file, which can be used to download or reuse the file */
    get fileId() {
        return this.payload.file_id;
    }
    /**
     * Unique identifier for this file, which is supposed to be the same over
     * time and for different bots. Can't be used to download or reuse the file.
     */
    get fileUniqueId() {
        return this.payload.file_unique_id;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], FileAttachment.prototype, "fileId", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], FileAttachment.prototype, "fileUniqueId", null);
FileAttachment = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], FileAttachment);
exports.FileAttachment = FileAttachment;
