import type { AttachmentType } from '../../types/types';
import type { PhotoSize } from '../structures';
import { Attachment } from './attachment';
/** This object represents a photo file with it's sizes */
export declare class PhotoAttachment extends Attachment {
    private payload;
    private readonly sorted;
    attachmentType: AttachmentType;
    constructor(payload: PhotoSize[]);
    /** Photo sizes */
    get sizes(): PhotoSize[];
    /** Biggest size of the photo */
    get bigSize(): PhotoSize;
    /** Medium size of the photo */
    get mediumSize(): PhotoSize;
    /** Smallest size of the photo */
    get smallSize(): PhotoSize;
    toJSON(): import("../../generated").TelegramPhotoSize[];
}
