import * as Interfaces from '../../generated/telegram-interfaces';
import type { AttachmentType } from '../../types/types';
import { PhotoSize } from '../structures/photo-size';
import { FileAttachment } from './file-attachment';
/** This object represents a video message. */
export declare class VideoNoteAttachment extends FileAttachment<Interfaces.TelegramVideoNote> {
    attachmentType: AttachmentType;
    /**
     * Video width and height (diameter of the video message) as defined by
     * sender
     */
    get length(): number;
    /** Duration of the video in seconds as defined by sender */
    get duration(): number;
    /** Video thumbnail */
    get thumbnail(): PhotoSize | undefined;
    /** File size */
    get fileSize(): number | undefined;
    toJSON(): Interfaces.TelegramVideoNote;
}
