import * as Interfaces from '../../generated/telegram-interfaces';
import type { AttachmentType } from '../../types/types';
import { PhotoSize } from '../structures/photo-size';
import { FileAttachment } from './file-attachment';
/** This object represents a video file. */
export declare class VideoAttachment extends FileAttachment<Interfaces.TelegramVideo> {
    attachmentType: AttachmentType;
    /** Video width as defined by sender */
    get width(): number;
    /** Video height as defined by sender */
    get height(): number;
    /** Duration of the video in seconds as defined by sender */
    get duration(): number;
    /** Video thumbnail */
    get thumbnail(): PhotoSize | undefined;
    /** Original filename as defined by sender */
    get fileName(): string | undefined;
    /** Mime type of a file as defined by sender */
    get mimeType(): string | undefined;
    /** File size */
    get fileSize(): number | undefined;
    toJSON(): Interfaces.TelegramVideo;
}
