"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VoiceAttachment = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const file_attachment_1 = require("./file-attachment");
/** This object represents a voice note. */
// TODO: extended: ['fileId', 'fileUniqueId']
let VoiceAttachment = class VoiceAttachment extends file_attachment_1.FileAttachment {
    constructor() {
        super(...arguments);
        this.attachmentType = 'voice';
    }
    /** Duration of the audio in seconds as defined by sender */
    get duration() {
        return this.payload.duration;
    }
    /** MIME type of the file as defined by sender */
    get mimeType() {
        return this.payload.mime_type;
    }
    /** File size */
    get fileSize() {
        return this.payload.file_size;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], VoiceAttachment.prototype, "duration", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], VoiceAttachment.prototype, "mimeType", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], VoiceAttachment.prototype, "fileSize", null);
VoiceAttachment = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], VoiceAttachment);
exports.VoiceAttachment = VoiceAttachment;
