import * as Interfaces from '../../generated';
import type { Optional, AvailableText } from '../../types/types';
/**
 * This object represents the content of a message to be sent as a result of an inline query
 *
 * @example
 * context.answerInlineQuery([
 *   InlineQueryResult.article({
 *     id,
 *     title: 'definitely an article!',
 *     input_message_content: InputMessageContent.text('definitely a message!')
 *   })
 * ])
 */
export declare class InputMessageContent {
    /** Creates a `TelegramInputTextMessageContent` object */
    static text(text: AvailableText, params?: Optional<Interfaces.TelegramInputTextMessageContent, 'message_text'>): Interfaces.TelegramInputTextMessageContent;
    /** Creates a `TelegramInputLocationMessageContent` object */
    static location(latitude: number, longitude: number, params?: Optional<Interfaces.TelegramInputLocationMessageContent, 'latitude' | 'longitude'>): Interfaces.TelegramInputLocationMessageContent;
    /** Creates a `TelegramInputVenueMessageContent` object */
    static venue(params: Interfaces.TelegramInputVenueMessageContent): Interfaces.TelegramInputVenueMessageContent;
    /** Creates a `TelegramInputContactMessageContent` object */
    static contact(params: Interfaces.TelegramInputContactMessageContent): Interfaces.TelegramInputContactMessageContent;
    /** Creates a `TelegramInputInvoiceMessageContent` object */
    static invoice(params: Interfaces.TelegramInputInvoiceMessageContent): Interfaces.TelegramInputInvoiceMessageContent;
}
