/** Markdown parse mode */
export declare class Markdown {
    static parseMode: "Markdown";
    get [Symbol.toStringTag](): string;
    /** @deprecated use `Markdown.escape` instead */
    static raw(source: string): string;
    /** Escape all the danger characters */
    static escape(source: string): string;
    /** Bold text */
    static bold(source: string, escape?: boolean): string;
    /** Italic text */
    static italic(source: string, escape?: boolean): string;
    /** URL with text */
    static url(source: string, link: string, escape?: boolean): string;
    /** Mention the user */
    static mention(source: string, id: number | string, escape?: boolean): string;
    /** Preformatted code */
    static code(source: string, escape?: boolean): string;
    /** Preformatted code */
    static pre(source: string, language?: string): string;
}
