"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BotCommand = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** This object represents a bot command */
let BotCommand = class BotCommand {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Text of the command; 1-32 characters. Can contain only lowercase English letters, digits and underscores. */
    get command() {
        return this.payload.command;
    }
    /** Description of the command; 1-256 characters */
    get description() {
        return this.payload.description;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], BotCommand.prototype, "command", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], BotCommand.prototype, "description", null);
BotCommand = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], BotCommand);
exports.BotCommand = BotCommand;
