import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** Represents the rights of an administrator in a chat. */
export declare class ChatAdministratorRights implements Structure {
    payload: Interfaces.TelegramChatAdministratorRights;
    constructor(payload: Interfaces.TelegramChatAdministratorRights);
    get [Symbol.toStringTag](): string;
    /** `true`, if the user's presence in the chat is hidden */
    isAnonymous(): boolean;
    /** `true`, if the administrator can access the chat event log, chat statistics, message statistics in channels, see channel members, see anonymous administrators in supergroups and ignore slow mode. Implied by any other administrator privilege */
    canManageChat(): boolean;
    /** `true`, if the administrator can delete messages of other users */
    canDeleteMessages(): boolean;
    /** `true`, if the administrator can manage video chats */
    canManageVideoChats(): boolean;
    /** `true`, if the administrator can restrict, ban or unban chat members */
    canRestrictMembers(): boolean;
    /** `true`, if the administrator can add new administrators with a subset of their own privileges or demote administrators that he has promoted, directly or indirectly (promoted by administrators that were appointed by the user) */
    canPromoteMembers(): boolean;
    /** `true`, if the user is allowed to change the chat title, photo and other settings */
    canChangeInfo(): boolean;
    /** `true`, if the user is allowed to invite new users to the chat */
    canInviteUsers(): boolean;
    /** `true`, if the administrator can post in the channel; channels only */
    canPostMessages(): boolean | undefined;
    /** `true`, if the administrator can edit messages of other users and can pin messages; channels only */
    canEditMessages(): boolean | undefined;
    /** `true`, if the user is allowed to pin messages; groups and supergroups only */
    canPinMessages(): boolean | undefined;
    /** `true`, if the administrator can post stories in the channel; channels only */
    canPostStories(): boolean;
    /** `true`, if the administrator can edit stories posted by other users; channels only */
    canEditStories(): boolean;
    /** `true`, if the administrator can delete stories posted by other users; channels only */
    canDeleteStories(): boolean;
    /** `true`, if the user is allowed to create, rename, close, and reopen forum topics; supergroups only */
    canManageTopics(): boolean | undefined;
    toJSON(): Interfaces.TelegramChatAdministratorRights;
}
