import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { Chat } from './chat';
import { ChatBoostSourceGiftCode, ChatBoostSourceGiveaway, ChatBoostSourcePremium } from './chat-boost-source';
/** This object represents a boost added to a chat or changed. */
export declare class ChatBoostRemoved implements Structure {
    payload: Interfaces.TelegramChatBoostRemoved;
    constructor(payload: Interfaces.TelegramChatBoostRemoved);
    get [Symbol.toStringTag](): string;
    /** Chat which was boosted */
    get chat(): Chat;
    /** Unique identifier of the boost */
    get id(): string;
    /** Point in time (Unix timestamp) when the boost was removed */
    get removeDate(): number;
    /** Source of the removed boost */
    get source(): ChatBoostSourceGiveaway | ChatBoostSourcePremium | ChatBoostSourceGiftCode;
    toJSON(): Record<string, any>;
}
