import * as Interfaces from '../../../generated/telegram-interfaces';
import { Structure } from '../../../types/interfaces';
import type { ChatBoostSourceGiftCode } from './gift-code';
import type { ChatBoostSourceGiveaway } from './giveaway';
import type { ChatBoostSourcePremium } from './premium';
interface ChatBoostSourceMapping {
    premium: ChatBoostSourcePremium;
    gift_code: ChatBoostSourceGiftCode;
    giveaway: ChatBoostSourceGiveaway;
}
export declare class ChatBoostSource implements Structure {
    payload: Interfaces.TelegramChatBoostSource;
    constructor(payload: Interfaces.TelegramChatBoostSource);
    get [Symbol.toStringTag](): string;
    /** Is this chat boost source a certain one? */
    is<T extends Interfaces.TelegramChatBoostSource['source']>(source: T): this is ChatBoostSourceMapping[T];
    toJSON(): Record<string, any>;
}
export {};
