"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatBoostSourceGiftCode = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const user_1 = require("../user");
const chat_boost_source_1 = require("./chat-boost-source");
const helpers_1 = require("../../../utils/helpers");
/** The boost was obtained by the creation of Telegram Premium gift codes to boost a chat. Each such code boosts the chat 4 times for the duration of the corresponding Telegram Premium subscription. */
let ChatBoostSourceGiftCode = class ChatBoostSourceGiftCode extends chat_boost_source_1.ChatBoostSource {
    constructor(payload) {
        super(payload);
        this.payload = payload;
    }
    /** Source of the boost, always `gift_code` */
    get source() {
        return this.payload.source;
    }
    /** User for which the gift code was created */
    get user() {
        return new user_1.User(this.payload.user);
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ChatBoostSourceGiftCode.prototype, "source", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ChatBoostSourceGiftCode.prototype, "user", null);
ChatBoostSourceGiftCode = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], ChatBoostSourceGiftCode);
exports.ChatBoostSourceGiftCode = ChatBoostSourceGiftCode;
(0, helpers_1.memoizeGetters)(ChatBoostSourceGiftCode, ['user']);
