import * as Interfaces from '../../../generated/telegram-interfaces';
import { User } from '../user';
import { ChatBoostSource } from './chat-boost-source';
/** The boost was obtained by the creation of a Telegram Premium giveaway. This boosts the chat 4 times for the duration of the corresponding Telegram Premium subscription. */
export declare class ChatBoostSourceGiveaway extends ChatBoostSource {
    payload: Interfaces.TelegramChatBoostSourceGiveaway;
    constructor(payload: Interfaces.TelegramChatBoostSourceGiveaway);
    /** Source of the boost, always `giveaway` */
    get source(): "giveaway";
    get giveawayMessageId(): number;
    /** User that boosted the chat */
    get user(): User | undefined;
    /** `true`, if the giveaway was completed, but there was no user to win the prize */
    isUnclaimed(): true | undefined;
}
