"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatBoostSourcePremium = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const user_1 = require("../user");
const chat_boost_source_1 = require("./chat-boost-source");
const helpers_1 = require("../../../utils/helpers");
/** The boost was obtained by subscribing to Telegram Premium or by gifting a Telegram Premium subscription to another user. */
let ChatBoostSourcePremium = class ChatBoostSourcePremium extends chat_boost_source_1.ChatBoostSource {
    constructor(payload) {
        super(payload);
        this.payload = payload;
    }
    /** Source of the boost, always `premium` */
    get source() {
        return this.payload.source;
    }
    /** User that boosted the chat */
    get user() {
        return new user_1.User(this.payload.user);
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ChatBoostSourcePremium.prototype, "source", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ChatBoostSourcePremium.prototype, "user", null);
ChatBoostSourcePremium = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], ChatBoostSourcePremium);
exports.ChatBoostSourcePremium = ChatBoostSourcePremium;
(0, helpers_1.memoizeGetters)(ChatBoostSourcePremium, ['user']);
