"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatBoostUpdated = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const chat_1 = require("./chat");
const chat_boost_1 = require("./chat-boost");
const helpers_1 = require("../../utils/helpers");
/** This object represents a boost added to a chat or changed. */
let ChatBoostUpdated = class ChatBoostUpdated {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Chat which was boosted */
    get chat() {
        return new chat_1.Chat(this.payload.chat);
    }
    /** Infomation about the chat boost */
    get boost() {
        return new chat_boost_1.ChatBoost(this.payload.boost);
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ChatBoostUpdated.prototype, "chat", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ChatBoostUpdated.prototype, "boost", null);
ChatBoostUpdated = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], ChatBoostUpdated);
exports.ChatBoostUpdated = ChatBoostUpdated;
(0, helpers_1.memoizeGetters)(ChatBoostUpdated, ['chat', 'boost']);
