import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { ChatBoostSourceGiftCode, ChatBoostSourceGiveaway, ChatBoostSourcePremium } from './chat-boost-source';
/** This object contains information about a chat boost. */
export declare class ChatBoost implements Structure {
    payload: Interfaces.TelegramChatBoost;
    constructor(payload: Interfaces.TelegramChatBoost);
    get [Symbol.toStringTag](): string;
    /** Unique identifier of the boost */
    get id(): string;
    /** Point in time (Unix timestamp) when the chat was boosted */
    get addDate(): number;
    /** Point in time (Unix timestamp) when the boost will automatically expire, unless the booster's Telegram Premium subscription is prolonged */
    get expirationDate(): number;
    /** Source of the added boost */
    get source(): ChatBoostSourceGiveaway | ChatBoostSourcePremium | ChatBoostSourceGiftCode;
    toJSON(): Record<string, any>;
}
