import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { Chat } from './chat';
import { User } from './user';
import { ChatInviteLink } from './chat-invite-link';
/** Represents a join request sent to a chat. */
export declare class ChatJoinRequest implements Structure {
    payload: Interfaces.TelegramChatJoinRequest;
    constructor(payload: Interfaces.TelegramChatJoinRequest);
    get [Symbol.toStringTag](): string;
    /** Chat to which the request was sent */
    get chat(): Chat;
    /** User that sent the join request */
    get from(): User;
    /** Identifier of a private chat with the user who sent the join request. This number may have more than 32 significant bits and some programming languages may have difficulty/silent defects in interpreting it. But it has at most 52 significant bits, so a 64-bit integer or double-precision float type are safe for storing this identifier. The bot can use this identifier for 24 hours to send messages until the join request is processed, assuming no other administrator contacted the user. */
    get userChatId(): number;
    /** Date the request was sent in Unix time */
    get date(): number;
    /** Bio of the user */
    get bio(): string | undefined;
    /** Chat invite link that was used by the user to send the join request */
    get inviteLink(): ChatInviteLink | undefined;
    toJSON(): Interfaces.TelegramChatJoinRequest;
}
