import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { Location } from './location';
/** Represents a location to which a chat is connected. */
export declare class ChatLocation implements Structure {
    payload: Interfaces.TelegramChatLocation;
    constructor(payload: Interfaces.TelegramChatLocation);
    get [Symbol.toStringTag](): string;
    /** The location to which the supergroup is connected. Can't be a live location. */
    get location(): Location;
    /** Location address; `1-64` characters, as defined by the chat owner */
    get address(): string;
    toJSON(): Interfaces.TelegramChatLocation;
}
