"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatLocation = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const location_1 = require("./location");
const helpers_1 = require("../../utils/helpers");
/** Represents a location to which a chat is connected. */
let ChatLocation = class ChatLocation {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** The location to which the supergroup is connected. Can't be a live location. */
    get location() {
        return new location_1.Location(this.payload.location);
    }
    /** Location address; `1-64` characters, as defined by the chat owner */
    get address() {
        return this.payload.address;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ChatLocation.prototype, "location", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ChatLocation.prototype, "address", null);
ChatLocation = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], ChatLocation);
exports.ChatLocation = ChatLocation;
(0, helpers_1.memoizeGetters)(ChatLocation, ['location']);
