import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { Chat } from './chat';
import { ChatInviteLink } from './chat-invite-link';
import { ChatMember } from './chat-member';
import { User } from './user';
/** This object represents changes in the status of a chat member. */
export declare class ChatMemberUpdated implements Structure {
    payload: Interfaces.TelegramChatMemberUpdated;
    constructor(payload: Interfaces.TelegramChatMemberUpdated);
    get [Symbol.toStringTag](): string;
    /** Chat the user belongs to */
    get chat(): Chat;
    /** Performer of the action, which resulted in the change */
    get from(): User;
    /** Date the change was done in Unix time */
    get date(): number;
    /** Previous information about the chat member */
    get oldChatMember(): ChatMember;
    /** New information about the chat member */
    get newChatMember(): ChatMember;
    /**
     * Chat invite link, which was used by the user to join the chat;
     * for joining by invite link events only.
     */
    get inviteLink(): ChatInviteLink | undefined;
    /** `true`, if the user joined the chat via a chat folder invite link */
    get viaChatFolderInviteLink(): boolean | undefined;
    toJSON(): Interfaces.TelegramChatMemberUpdated;
}
