"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatShared = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** This object contains information about the chat whose identifier was shared with the bot using a KeyboardButtonRequestChat button. */
let ChatShared = class ChatShared {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Identifier of the request */
    get requestId() {
        return this.payload.request_id;
    }
    /** Identifier of the shared chat. This number may have more than 32 significant bits and some programming languages may have difficulty/silent defects in interpreting it. But it has at most 52 significant bits, so a 64-bit integer or double-precision float type are safe for storing this identifier. The bot may not have access to the chat and could be unable to use this identifier, unless the chat is already known to the bot by some other means. */
    get chatId() {
        return this.payload.chat_id;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ChatShared.prototype, "requestId", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ChatShared.prototype, "chatId", null);
ChatShared = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], ChatShared);
exports.ChatShared = ChatShared;
