import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { User } from './user';
import { Location } from './location';
/** Represents a result of an inline query that was chosen by the user and sent to their chat partner. */
export declare class ChosenInlineResult implements Structure {
    payload: Interfaces.TelegramChosenInlineResult;
    constructor(payload: Interfaces.TelegramChosenInlineResult);
    get [Symbol.toStringTag](): string;
    /** The unique identifier for the result that was chosen */
    get resultId(): string;
    /** The user that chose the result */
    get from(): User;
    /** Sender ID */
    get senderId(): number;
    /** Sender location, only for bots that require user location */
    get location(): Location | undefined;
    /**
     * Identifier of the sent inline message. Available only if there is an
     * inline keyboard attached to the message. Will be also received in callback
     * queries and can be used to edit the message.
     */
    get inlineMessageId(): string | undefined;
    /** The query that was used to obtain the result */
    get query(): string;
    toJSON(): Interfaces.TelegramChosenInlineResult;
}
