import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** This object represents a phone contact. */
export declare class Contact implements Structure {
    payload: Interfaces.TelegramContact;
    constructor(payload: Interfaces.TelegramContact);
    get [Symbol.toStringTag](): string;
    /** Contact's phone number */
    get phoneNumber(): string;
    /** Contact's first name */
    get firstName(): string;
    /** Contact's last name */
    get lastName(): string | undefined;
    /** Contact's user identifier in Telegram */
    get userId(): number | undefined;
    /** Additional data about the contact in the form of a vCard */
    get vCard(): string | undefined;
    toJSON(): Interfaces.TelegramContact;
}
