"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Contact = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** This object represents a phone contact. */
let Contact = class Contact {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Contact's phone number */
    get phoneNumber() {
        return this.payload.phone_number;
    }
    /** Contact's first name */
    get firstName() {
        return this.payload.first_name;
    }
    /** Contact's last name */
    get lastName() {
        return this.payload.last_name;
    }
    /** Contact's user identifier in Telegram */
    get userId() {
        return this.payload.user_id;
    }
    /** Additional data about the contact in the form of a vCard */
    get vCard() {
        return this.payload.vcard;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], Contact.prototype, "phoneNumber", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], Contact.prototype, "firstName", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], Contact.prototype, "lastName", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], Contact.prototype, "userId", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], Contact.prototype, "vCard", null);
Contact = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], Contact);
exports.Contact = Contact;
