import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** This object represents an animated emoji that displays a random value. */
export declare class Dice implements Structure {
    payload: Interfaces.TelegramDice;
    constructor(payload: Interfaces.TelegramDice);
    get [Symbol.toStringTag](): string;
    /** Emoji on which the dice throw animation is based */
    get emoji(): string;
    /**
     * Value of the dice,
     * `1-6` for `🎲`, `🎯` and `🎳` base emoji,
     * `1-5` for `🏀` and `⚽️` base emoji,
     * `1-64` for `🎰` base emoji
     */
    get value(): number;
    toJSON(): Interfaces.TelegramDice;
}
