"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Dice = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** This object represents an animated emoji that displays a random value. */
let Dice = class Dice {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Emoji on which the dice throw animation is based */
    get emoji() {
        return this.payload.emoji;
    }
    /**
     * Value of the dice,
     * `1-6` for `🎲`, `🎯` and `🎳` base emoji,
     * `1-5` for `🏀` and `⚽️` base emoji,
     * `1-64` for `🎰` base emoji
     */
    get value() {
        return this.payload.value;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], Dice.prototype, "emoji", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], Dice.prototype, "value", null);
Dice = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], Dice);
exports.Dice = Dice;
