import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/**
 * Contains data required for decrypting and authenticatin
 * `EncryptedPassportElement`. See the Telegram Passport Documentation for a
 * complete description of the data decryption and authentication processes.
 */
export declare class EncryptedCredentials implements Structure {
    payload: Interfaces.TelegramEncryptedCredentials;
    constructor(payload: Interfaces.TelegramEncryptedCredentials);
    get [Symbol.toStringTag](): string;
    /**
     * Base64-encoded encrypted JSON-serialized data with unique user's payload,
     * data hashes and secrets required for `EncryptedPassportElement` decryption
     * and authentication
     */
    get data(): string;
    /** Base64-encoded data hash for data authentication */
    get hash(): string;
    /**
     * Base64-encoded secret, encrypted with the bot's public RSA key, required
     * for data decryption
     */
    get secret(): string;
    toJSON(): Interfaces.TelegramEncryptedCredentials;
}
