import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** This object represents a service message about a new forum topic created in the chat. */
export declare class ForumTopicCreated implements Structure {
    payload: Interfaces.TelegramForumTopicCreated;
    constructor(payload: Interfaces.TelegramForumTopicCreated);
    get [Symbol.toStringTag](): string;
    /** Name of the topic */
    get name(): string;
    /** Color of the topic icon in RGB format */
    get iconColor(): number;
    /** Unique identifier of the custom emoji shown as the topic icon */
    get iconCustomEmojiId(): string | undefined;
    toJSON(): Interfaces.TelegramForumTopicCreated;
}
