"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForumTopicCreated = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** This object represents a service message about a new forum topic created in the chat. */
let ForumTopicCreated = class ForumTopicCreated {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Name of the topic */
    get name() {
        return this.payload.name;
    }
    /** Color of the topic icon in RGB format */
    get iconColor() {
        return this.payload.icon_color;
    }
    /** Unique identifier of the custom emoji shown as the topic icon */
    get iconCustomEmojiId() {
        return this.payload.icon_custom_emoji_id;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ForumTopicCreated.prototype, "name", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ForumTopicCreated.prototype, "iconColor", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], ForumTopicCreated.prototype, "iconCustomEmojiId", null);
ForumTopicCreated = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], ForumTopicCreated);
exports.ForumTopicCreated = ForumTopicCreated;
