"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForumTopicEdited = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** This object represents a service message about an edited forum topic. */
let ForumTopicEdited = class ForumTopicEdited {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** New name of the topic, if it was edited */
    get name() {
        return this.payload.name;
    }
    /** New identifier of the custom emoji shown as the topic icon, if it was edited; an empty string if the icon was removed */
    get iconCustomEmojiId() {
        return this.payload.icon_custom_emoji_id;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ForumTopicEdited.prototype, "name", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], ForumTopicEdited.prototype, "iconCustomEmojiId", null);
ForumTopicEdited = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], ForumTopicEdited);
exports.ForumTopicEdited = ForumTopicEdited;
