import * as Interfaces from '../../generated/telegram-interfaces';
import { User } from './user';
import { Chat } from './chat';
/** This object represents a forwarded message. */
export declare class ForwardedMessage {
    payload: Interfaces.TelegramMessage;
    constructor(payload: Interfaces.TelegramMessage);
    get [Symbol.toStringTag](): string;
    /**
     * For messages forwarded from channels, identifier of the original message
     * in the channel
     */
    get id(): any;
    /** For forwarded messages, sender of the original message */
    get from(): User | undefined;
    /**
     * For messages forwarded from channels, information about the original
     * channel
     */
    get chat(): Chat | undefined;
    /**
     * For messages forwarded from channels, signature of the post author
     * if present
     */
    get signature(): any;
    /**
     * Sender's name for messages forwarded from users who disallow adding a link
     * to their account in forwarded messages
     */
    get senderName(): any;
    /**
     * For forwarded messages, date the original message was sent in Unix time
     */
    get createdAt(): number;
    /** `true`, if the message is a channel post that was automatically forwarded to the connected discussion group */
    isAutomatic(): true | undefined;
}
