import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { Message } from './message';
/** This object represents a service message about the completion of a giveaway without public winners. */
export declare class GiveawayCompleted implements Structure {
    payload: Interfaces.TelegramGiveawayCompleted;
    constructor(payload: Interfaces.TelegramGiveawayCompleted);
    get [Symbol.toStringTag](): string;
    /** Number of winners in the giveaway */
    get winnerCount(): number;
    /** Number of undistributed prizes */
    get unclaimedPrizeCount(): number | undefined;
    /** Message with the giveaway that was completed, if it wasn't deleted */
    get message(): Message | undefined;
    toJSON(): Interfaces.TelegramGiveawayCompleted;
}
