import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { Chat } from './chat';
import { User } from './user';
/** This object represents a message about the completion of a giveaway with public winners. */
export declare class GiveawayWinners implements Structure {
    payload: Interfaces.TelegramGiveawayWinners;
    constructor(payload: Interfaces.TelegramGiveawayWinners);
    get [Symbol.toStringTag](): string;
    /** The chat that created the giveaway */
    get chat(): Chat;
    /** Identifier of the message with the giveaway in the chat */
    get messageId(): number;
    /** Point in time (Unix timestamp) when winners of the giveaway were selected */
    get winnersSelectionDate(): number;
    /** Total number of winners in the giveaway */
    get winnerCount(): number;
    /** List of up to 100 winners of the giveaway */
    get winners(): User[];
    /** The number of other chats the user had to join in order to be eligible for the giveaway */
    get additionalChatCount(): number | undefined;
    /** The number of months the Telegram Premium subscription won from the giveaway will be active for */
    get premiumSubscriptionMonthCount(): number | undefined;
    /** Number of undistributed prizes */
    get unclaimedPrizeCount(): number | undefined;
    /** `true`, if only users who had joined the chats after the giveaway started were eligible to win */
    get onlyNewMembers(): true | undefined;
    /** `true`, if the giveaway was canceled because the payment for it was refunded */
    wasRefunded(): true | undefined;
    /** Description of additional giveaway prize */
    get prizeDescription(): string | undefined;
    toJSON(): Interfaces.TelegramGiveawayWinners;
}
