"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InaccessibleMessage = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const chat_1 = require("./chat");
const helpers_1 = require("../../utils/helpers");
let InaccessibleMessage = class InaccessibleMessage {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Unique message identifier inside the chat */
    get id() {
        return this.payload.message_id;
    }
    /** Chat the message belonged to */
    get chat() {
        return new chat_1.Chat(this.payload.chat);
    }
    /** Always `0`. The field can be used to differentiate regular and inaccessible messages. */
    get date() {
        return this.payload.date;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], InaccessibleMessage.prototype, "id", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], InaccessibleMessage.prototype, "chat", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], InaccessibleMessage.prototype, "date", null);
InaccessibleMessage = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], InaccessibleMessage);
exports.InaccessibleMessage = InaccessibleMessage;
(0, helpers_1.memoizeGetters)(InaccessibleMessage, ['chat']);
