"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InlineKeyboardMarkup = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const inline_keyboard_button_1 = require("./inline-keyboard-button");
/** This object represents an inline keyboard that appears right next to the message it belongs to. */
let InlineKeyboardMarkup = class InlineKeyboardMarkup {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Array of button rows */
    get inlineKeyboard() {
        const { inline_keyboard } = this.payload;
        return inline_keyboard.map(row => row.map(element => new inline_keyboard_button_1.InlineKeyboardButton(element)));
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], InlineKeyboardMarkup.prototype, "inlineKeyboard", null);
InlineKeyboardMarkup = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], InlineKeyboardMarkup);
exports.InlineKeyboardMarkup = InlineKeyboardMarkup;
