import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { User } from './user';
import { Location } from './location';
/**
 * This object represents an incoming inline query.
 * When the user sends an empty query, your bot could return some default or
 * trending results.
 */
export declare class InlineQuery implements Structure {
    payload: Interfaces.TelegramInlineQuery;
    constructor(payload: Interfaces.TelegramInlineQuery);
    get [Symbol.toStringTag](): string;
    /** Unique identifier for this query */
    get id(): string;
    /** Sender */
    get from(): User;
    /** Sender location, only for bots that request user location */
    get location(): Location | undefined;
    /** Text of the query (up to 256 characters) */
    get query(): string;
    /** Offset of the results to be returned, can be controlled by the bot */
    get offset(): string;
    toJSON(): Interfaces.TelegramInlineQuery;
}
