import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** This object contains basic information about an invoice. */
export declare class Invoice implements Structure {
    payload: Interfaces.TelegramInvoice;
    constructor(payload: Interfaces.TelegramInvoice);
    get [Symbol.toStringTag](): string;
    /** Product name */
    get title(): string;
    /** Product description */
    get description(): string;
    /**
     * Unique bot deep-linking parameter that can be used to generate this
     * invoice
     */
    get startParameter(): string;
    /** Three-letter ISO 4217 currency code */
    get currency(): Interfaces.Currency;
    /**
     * Total price in the smallest units of the currency
     * (integer, not float/double). For example, for a price of
     * `US$ 1.45` pass `amount = 145`. See the `exp` parameter in
     * [currencies.json](https://core.telegram.org/bots/payments/currencies.json),
     * it shows the number of digits past the decimal point for each currency
     * (2 for the majority of currencies).
     */
    get totalAmount(): number;
    toJSON(): Interfaces.TelegramInvoice;
}
