import * as Interfaces from '../../generated';
import { Structure } from '../../types/interfaces';
/** Describes the options used for link preview generation. */
export declare class LinkPreviewOptions implements Structure {
    payload: Interfaces.TelegramLinkPreviewOptions;
    constructor(payload: Interfaces.TelegramLinkPreviewOptions);
    get [Symbol.toStringTag](): string;
    /** `true`, if the link preview is disabled */
    isDisabled(): boolean | undefined;
    /** URL to use for the link preview. If empty, then the first URL found in the message text will be used */
    get url(): string | undefined;
    /** `true`, if the media in the link preview is supposed to be shrunk; ignored if the URL isn't explicitly specified or media size change isn't supported for the preview */
    preferSmallMedia(): boolean | undefined;
    /** `true`, if the media in the link preview is supposed to be enlarged; ignored if the URL isn't explicitly specified or media size change isn't supported for the preview */
    preferLargeMedia(): boolean | undefined;
    /** `true`, if the link preview must be shown above the message text; otherwise, the link preview will be shown below the message text */
    showAboveText(): boolean | undefined;
    toJSON(): Interfaces.TelegramLinkPreviewOptions;
}
