"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LinkPreviewOptions = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** Describes the options used for link preview generation. */
let LinkPreviewOptions = class LinkPreviewOptions {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** `true`, if the link preview is disabled */
    isDisabled() {
        return this.payload.is_disabled;
    }
    /** URL to use for the link preview. If empty, then the first URL found in the message text will be used */
    get url() {
        return this.payload.url;
    }
    /** `true`, if the media in the link preview is supposed to be shrunk; ignored if the URL isn't explicitly specified or media size change isn't supported for the preview */
    preferSmallMedia() {
        return this.payload.prefer_small_media;
    }
    /** `true`, if the media in the link preview is supposed to be enlarged; ignored if the URL isn't explicitly specified or media size change isn't supported for the preview */
    preferLargeMedia() {
        return this.payload.prefer_large_media;
    }
    /** `true`, if the link preview must be shown above the message text; otherwise, the link preview will be shown below the message text */
    showAboveText() {
        return this.payload.show_above_text;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ compute: true, nullable: false })
], LinkPreviewOptions.prototype, "isDisabled", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], LinkPreviewOptions.prototype, "url", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ compute: true, nullable: false })
], LinkPreviewOptions.prototype, "preferSmallMedia", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ compute: true, nullable: false })
], LinkPreviewOptions.prototype, "preferLargeMedia", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ compute: true, nullable: false })
], LinkPreviewOptions.prototype, "showAboveText", null);
LinkPreviewOptions = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], LinkPreviewOptions);
exports.LinkPreviewOptions = LinkPreviewOptions;
