import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** This object represents a point on the map. */
export declare class Location implements Structure {
    payload: Interfaces.TelegramLocation;
    constructor(payload: Interfaces.TelegramLocation);
    get [Symbol.toStringTag](): string;
    /** Longitude as defined by sender */
    get longitude(): number;
    /** Latitude as defined by sender */
    get latitude(): number;
    /** The radius of uncertainty for the location, measured in meters; `0-1500` */
    get horizontalAccuracy(): number | undefined;
    /**
     * Time relative to the message sending date,
     * during which the location can be updated, in seconds.
     * For active live locations only.
     */
    get livePeriod(): number | undefined;
    /**
     * The direction in which user is moving, in degrees; `1-360`.
     * For active live locations only.
     */
    get heading(): number | undefined;
    /**
     * Maximum distance for proximity alerts about approaching another chat member, in meters.
     * For sent live locations only.
     */
    get proximityAlertRadius(): number | undefined;
    toJSON(): Interfaces.TelegramLocation;
}
