import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { WebAppInfo } from './web-app-info';
/** This object describes the bot's menu button in a private chat. */
export declare class MenuButton implements Structure {
    payload: Interfaces.TelegramMenuButton;
    constructor(payload: Interfaces.TelegramMenuButton);
    get [Symbol.toStringTag](): string;
    /** Type of the button */
    get type(): "commands" | "web_app" | "default";
    /** Text on the button */
    get text(): any;
    /**
     * Description of the Web App that will be launched when the user presses the button.
     * The Web App will be able to send an arbitrary message on behalf of the user
     * using the method `answerWebAppQuery`.
     */
    get webApp(): WebAppInfo | undefined;
    toJSON(): Interfaces.TelegramMenuButton;
}
