import * as Interfaces from '../../../generated';
import { Chat } from '../chat';
import { MessageOrigin } from './message-origin';
/** The message was originally sent to a channel chat. */
export declare class MessageOriginChannel extends MessageOrigin {
    payload: Interfaces.TelegramMessageOriginChannel;
    constructor(payload: Interfaces.TelegramMessageOriginChannel);
    /** Type of the message origin, always `channel` */
    get type(): "channel";
    /** Date the message was sent originally in Unix time */
    get date(): number;
    /** Channel chat to which the message was originally sent */
    get chat(): Chat;
    /** Unique message identifier inside the chat */
    get messageId(): number;
    /** Signature of the original post author */
    get authorSignature(): string | undefined;
}
