import * as Interfaces from '../../../generated';
import { Chat } from '../chat';
import { MessageOrigin } from './message-origin';
/** The message was originally sent on behalf of a chat to a group chat. */
export declare class MessageOriginChat extends MessageOrigin {
    payload: Interfaces.TelegramMessageOriginChat;
    constructor(payload: Interfaces.TelegramMessageOriginChat);
    /** Type of the message origin, always `chat` */
    get type(): "chat";
    /** Date the message was sent originally in Unix time */
    get date(): number;
    /** Chat that sent the message originally */
    get senderChat(): Chat;
    /** For messages originally sent by an anonymous chat administrator, original message author signature */
    get authorSignature(): string | undefined;
}
