"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageOriginHiddenUser = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const message_origin_1 = require("./message-origin");
/** The message was originally sent by an unknown user. */
let MessageOriginHiddenUser = class MessageOriginHiddenUser extends message_origin_1.MessageOrigin {
    constructor(payload) {
        super(payload);
        this.payload = payload;
    }
    /** Type of the message origin, always `hidden_user` */
    get type() {
        return this.payload.type;
    }
    /** Date the message was sent originally in Unix time */
    get date() {
        return this.payload.date;
    }
    /** Name of the user that sent the message originally */
    get senderUserName() {
        return this.payload.sender_user_name;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], MessageOriginHiddenUser.prototype, "type", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], MessageOriginHiddenUser.prototype, "date", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], MessageOriginHiddenUser.prototype, "senderUserName", null);
MessageOriginHiddenUser = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], MessageOriginHiddenUser);
exports.MessageOriginHiddenUser = MessageOriginHiddenUser;
