import * as Interfaces from '../../../generated';
import type { MessageOriginUser } from './user';
import type { MessageOriginChat } from './chat';
import type { MessageOriginChannel } from './channel';
import type { MessageOriginHiddenUser } from './hidden-user';
import { Structure } from '../../../types/interfaces';
interface MessageOriginMapping {
    user: MessageOriginUser;
    chat: MessageOriginChat;
    channel: MessageOriginChannel;
    hidden_user: MessageOriginHiddenUser;
}
export declare class MessageOrigin implements Structure {
    payload: Interfaces.TelegramMessageOrigin;
    constructor(payload: Interfaces.TelegramMessageOrigin);
    get [Symbol.toStringTag](): string;
    /** Is this message origin a certain one?  */
    is<T extends Interfaces.TelegramMessageOrigin['type']>(type: T): this is MessageOriginMapping[T];
    toJSON(): Interfaces.TelegramMessageOrigin;
}
export {};
