"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageOriginUser = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const user_1 = require("../user");
const message_origin_1 = require("./message-origin");
const helpers_1 = require("../../../utils/helpers");
/** The message was originally sent by a known user. */
let MessageOriginUser = class MessageOriginUser extends message_origin_1.MessageOrigin {
    constructor(payload) {
        super(payload);
        this.payload = payload;
    }
    /** Type of the message origin, always `user` */
    get type() {
        return this.payload.type;
    }
    /** Date the message was sent originally in Unix time */
    get date() {
        return this.payload.date;
    }
    /** User that sent the message originally */
    get senderUser() {
        return new user_1.User(this.payload.sender_user);
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], MessageOriginUser.prototype, "type", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], MessageOriginUser.prototype, "date", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], MessageOriginUser.prototype, "senderUser", null);
MessageOriginUser = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], MessageOriginUser);
exports.MessageOriginUser = MessageOriginUser;
(0, helpers_1.memoizeGetters)(MessageOriginUser, ['senderUser']);
