import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { Chat } from './chat';
import { ReactionType } from './reaction-type/reaction-type';
/** This object represents reaction changes on a message with anonymous reactions. */
export declare class MessageReactionCountUpdated implements Structure {
    payload: Interfaces.TelegramMessageReactionCountUpdated;
    constructor(payload: Interfaces.TelegramMessageReactionCountUpdated);
    get [Symbol.toStringTag](): string;
    /** The chat containing the message the user reacted to */
    get chat(): Chat;
    /** Unique identifier of the message inside the chat */
    get id(): number;
    /** Date of the change in Unix time */
    get date(): number;
    /** List of reactions that are present on the message */
    get reactions(): ReactionType[];
    toJSON(): Interfaces.TelegramMessageReactionCountUpdated;
}
