import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { User } from './user';
import { Chat } from './chat';
/** This object represents a change of a reaction on a message performed by a user. */
export declare class MessageReactionUpdated implements Structure {
    payload: Interfaces.TelegramMessageReactionUpdated;
    constructor(payload: Interfaces.TelegramMessageReactionUpdated);
    get [Symbol.toStringTag](): string;
    /** The chat containing the message the user reacted to */
    get chat(): Chat;
    /** Unique identifier of the message inside the chat */
    get id(): number;
    /** The user that changed the reaction, if the user isn't anonymous */
    get user(): User | undefined;
    /** The chat on behalf of which the reaction was changed, if the user is anonymous */
    get actorChat(): Chat | undefined;
    /** Date of the change in Unix time */
    get date(): number;
    /** Previous list of reaction types that were set by the user */
    get oldReactions(): Interfaces.TelegramReactionType[];
    /** New list of reaction types that have been set by the user */
    get newReactions(): Interfaces.TelegramReactionType[];
    toJSON(): Record<string, any>;
}
