import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { ShippingAddress } from './shipping-address';
/** This object represents information about an order. */
export declare class OrderInfo implements Structure {
    payload: Interfaces.TelegramOrderInfo;
    constructor(payload: Interfaces.TelegramOrderInfo);
    get [Symbol.toStringTag](): string;
    /** User name */
    get name(): string | undefined;
    /** User's phone number */
    get phoneNumber(): string | undefined;
    /** User email */
    get email(): string | undefined;
    /** User shipping address */
    get shippingAddress(): ShippingAddress | undefined;
    toJSON(): Interfaces.TelegramOrderInfo;
}
