import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { EncryptedPassportElement } from './encrypted-passport-element';
import { EncryptedCredentials } from './encrypted-credentials';
/**
 * Contains information about Telegram Passport data shared with the bot by the
 * user.
 */
export declare class PassportData implements Structure {
    payload: Interfaces.TelegramPassportData;
    constructor(payload: Interfaces.TelegramPassportData);
    get [Symbol.toStringTag](): string;
    /**
     * Array with information about documents and other Telegram Passport
     * elements that was shared with the bot
     */
    get data(): EncryptedPassportElement[] | undefined;
    /** Encrypted credentials required to decrypt the data */
    get credentials(): EncryptedCredentials;
    toJSON(): Interfaces.TelegramPassportData;
}
