import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/**
 * This object represents a file uploaded to Telegram Passport.
 * Currently all Telegram Passport files are in JPEG format when decrypted and
 * don't exceed 10MB.
 */
export declare class PassportFile implements Structure {
    payload: Interfaces.TelegramPassportFile;
    constructor(payload: Interfaces.TelegramPassportFile);
    get [Symbol.toStringTag](): string;
    /**
     * Identifier for this file, which can be used to download or reuse the file
     */
    get fileId(): string;
    /**
     * Unique identifier for this file, which is supposed to be the same over
     * time and for different bots. Can't be used to download or reuse the file.
     */
    get fileUniqueId(): string;
    /** File size */
    get fileSize(): number;
    /** Unix time when the file was uploaded */
    get fileDate(): number;
    toJSON(): Interfaces.TelegramPassportFile;
}
