import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** This object represents one size of a photo or a file / sticker thumbnail */
export declare class PhotoSize implements Structure {
    payload: Interfaces.TelegramPhotoSize;
    constructor(payload: Interfaces.TelegramPhotoSize);
    get [Symbol.toStringTag](): string;
    /**
     * Identifier for this file, which can be used to download or reuse the file
     */
    get fileId(): string;
    /**
     * Unique identifier for this file, which is supposed to be the same over
     * time and for different bots. Can't be used to download or reuse the file.
     */
    get fileUniqueId(): string;
    /** Photo width */
    get width(): number;
    /** Photo height */
    get height(): number;
    /** File size */
    get fileSize(): number | undefined;
    toJSON(): Interfaces.TelegramPhotoSize;
}
