"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PhotoSize = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** This object represents one size of a photo or a file / sticker thumbnail */
let PhotoSize = class PhotoSize {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /**
     * Identifier for this file, which can be used to download or reuse the file
     */
    get fileId() {
        return this.payload.file_id;
    }
    /**
     * Unique identifier for this file, which is supposed to be the same over
     * time and for different bots. Can't be used to download or reuse the file.
     */
    get fileUniqueId() {
        return this.payload.file_unique_id;
    }
    /** Photo width */
    get width() {
        return this.payload.width;
    }
    /** Photo height */
    get height() {
        return this.payload.height;
    }
    /** File size */
    get fileSize() {
        return this.payload.file_size;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], PhotoSize.prototype, "fileId", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], PhotoSize.prototype, "fileUniqueId", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], PhotoSize.prototype, "width", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], PhotoSize.prototype, "height", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], PhotoSize.prototype, "fileSize", null);
PhotoSize = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], PhotoSize);
exports.PhotoSize = PhotoSize;
