import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { User } from './user';
import { Chat } from './chat';
/** This object represents an answer of a user in a non-anonymous poll. */
export declare class PollAnswer implements Structure {
    payload: Interfaces.TelegramPollAnswer;
    constructor(payload: Interfaces.TelegramPollAnswer);
    get [Symbol.toStringTag](): string;
    /** Unique poll identifier */
    get pollId(): string;
    /** The chat that changed the answer to the poll, if the voter is anonymous */
    get voterChat(): Chat | undefined;
    /** The user, who changed the answer to the poll */
    get user(): User | undefined;
    /** Sender ID. Since `user` and `voterChat` are mutually exclusive, this field will either contain `user.id` or `voterChat.id` as a shortcut =) */
    get senderId(): number;
    /**
     * 0-based identifiers of answer options, chosen by the user.
     * May be empty if the user retracted their vote.
     */
    get optionIds(): number[];
    toJSON(): Interfaces.TelegramPollAnswer;
}
