"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PollOption = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** This object contains information about one answer option in a poll. */
let PollOption = class PollOption {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Option text, 1-100 characters */
    get text() {
        return this.payload.text;
    }
    /** Number of users that voted for this option */
    get voterCount() {
        return this.payload.voter_count;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], PollOption.prototype, "text", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], PollOption.prototype, "voterCount", null);
PollOption = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], PollOption);
exports.PollOption = PollOption;
