import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { User } from './user';
/**
 * This object represents the content of a service message,
 * sent whenever a user in the chat triggers a proximity alert set by another user.
 */
export declare class ProximityAlertTriggered implements Structure {
    payload: Interfaces.TelegramProximityAlertTriggered;
    constructor(payload: Interfaces.TelegramProximityAlertTriggered);
    /** User that triggered the alert */
    get traveler(): User;
    /** User that set the alert */
    get watcher(): User;
    /** The distance between the users */
    get distance(): number;
    toJSON(): Interfaces.TelegramProximityAlertTriggered;
}
