"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProximityAlertTriggered = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const user_1 = require("./user");
const helpers_1 = require("../../utils/helpers");
/**
 * This object represents the content of a service message,
 * sent whenever a user in the chat triggers a proximity alert set by another user.
 */
let ProximityAlertTriggered = class ProximityAlertTriggered {
    constructor(payload) {
        this.payload = payload;
    }
    /** User that triggered the alert */
    get traveler() {
        return new user_1.User(this.payload.traveler);
    }
    /** User that set the alert */
    get watcher() {
        return new user_1.User(this.payload.watcher);
    }
    /** The distance between the users */
    get distance() {
        return this.payload.distance;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ProximityAlertTriggered.prototype, "traveler", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ProximityAlertTriggered.prototype, "watcher", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ProximityAlertTriggered.prototype, "distance", null);
ProximityAlertTriggered = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], ProximityAlertTriggered);
exports.ProximityAlertTriggered = ProximityAlertTriggered;
(0, helpers_1.memoizeGetters)(ProximityAlertTriggered, ['traveler', 'watcher']);
