import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { ReactionTypeCustomEmoji, ReactionTypeEmoji } from './reaction-type';
/** Represents a reaction added to a message along with the number of times it was added. */
export declare class ReactionCount implements Structure {
    payload: Interfaces.TelegramReactionCount;
    constructor(payload: Interfaces.TelegramReactionCount);
    get [Symbol.toStringTag](): string;
    /** Type of the reaction */
    get type(): ReactionTypeEmoji | ReactionTypeCustomEmoji;
    /** Number of times the reaction was added */
    get totalCount(): number;
    toJSON(): Interfaces.TelegramReactionCount;
}
