"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReactionCount = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const reaction_type_1 = require("./reaction-type");
const helpers_1 = require("../../utils/helpers");
/** Represents a reaction added to a message along with the number of times it was added. */
let ReactionCount = class ReactionCount {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Type of the reaction */
    get type() {
        if (this.payload.type.type === 'emoji') {
            return new reaction_type_1.ReactionTypeEmoji(this.payload.type);
        }
        if (this.payload.type.type === 'custom_emoji') {
            return new reaction_type_1.ReactionTypeCustomEmoji(this.payload.type);
        }
        throw new TypeError('unknown reaction type');
    }
    /** Number of times the reaction was added */
    get totalCount() {
        return this.payload.total_count;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ReactionCount.prototype, "type", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ReactionCount.prototype, "totalCount", null);
ReactionCount = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], ReactionCount);
exports.ReactionCount = ReactionCount;
(0, helpers_1.memoizeGetters)(ReactionCount, ['type']);
