import * as Interfaces from '../../../generated/telegram-interfaces';
import { Structure } from '../../../types/interfaces';
import type { ReactionTypeCustomEmoji } from './custom-emoji';
import type { ReactionTypeEmoji } from './emoji';
interface ReactionTypeMapping {
    emoji: ReactionTypeEmoji;
    custom_emoji: ReactionTypeCustomEmoji;
}
export declare class ReactionType implements Structure {
    payload: Interfaces.TelegramReactionType;
    constructor(payload: Interfaces.TelegramReactionType);
    get [Symbol.toStringTag](): string;
    /** Is this reaction type the same as the `type`? */
    is<T extends Interfaces.TelegramReactionType['type']>(type: T): this is ReactionTypeMapping[T];
    toJSON(): Interfaces.TelegramReactionType;
}
export {};
