import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** Contains information about an inline message sent by a Web App on behalf of a user. */
export declare class SentWebAppMessage implements Structure {
    payload: Interfaces.TelegramSentWebAppMessage;
    constructor(payload: Interfaces.TelegramSentWebAppMessage);
    get [Symbol.toStringTag](): string;
    /**
     * Identifier of the sent inline message.
     *
     * Available only if there is an inline keyboard attached to the message.
     */
    get inlineMessageId(): string | undefined;
    toJSON(): Interfaces.TelegramSentWebAppMessage;
}
