"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SentWebAppMessage = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** Contains information about an inline message sent by a Web App on behalf of a user. */
let SentWebAppMessage = class SentWebAppMessage {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /**
     * Identifier of the sent inline message.
     *
     * Available only if there is an inline keyboard attached to the message.
     */
    get inlineMessageId() {
        return this.payload.inline_message_id;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], SentWebAppMessage.prototype, "inlineMessageId", null);
SentWebAppMessage = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], SentWebAppMessage);
exports.SentWebAppMessage = SentWebAppMessage;
