import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** This object represents a shipping address. */
export declare class ShippingAddress implements Structure {
    payload: Interfaces.TelegramShippingAddress;
    constructor(payload: Interfaces.TelegramShippingAddress);
    get [Symbol.toStringTag](): string;
    /** ISO 3166-1 alpha-2 country code */
    get countryCode(): string;
    /** State, if applicable */
    get state(): string;
    /** City */
    get city(): string;
    /** First line for the address */
    get firstStreetLine(): string;
    /** Second line for the address */
    get secondStreetLine(): string;
    /** Address post code */
    get postCode(): string;
    toJSON(): Interfaces.TelegramShippingAddress;
}
