"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShippingAddress = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** This object represents a shipping address. */
let ShippingAddress = class ShippingAddress {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** ISO 3166-1 alpha-2 country code */
    get countryCode() {
        return this.payload.country_code;
    }
    /** State, if applicable */
    get state() {
        return this.payload.state;
    }
    /** City */
    get city() {
        return this.payload.city;
    }
    /** First line for the address */
    get firstStreetLine() {
        return this.payload.street_line1;
    }
    /** Second line for the address */
    get secondStreetLine() {
        return this.payload.street_line2;
    }
    /** Address post code */
    get postCode() {
        return this.payload.post_code;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ShippingAddress.prototype, "countryCode", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ShippingAddress.prototype, "state", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ShippingAddress.prototype, "city", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ShippingAddress.prototype, "firstStreetLine", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ShippingAddress.prototype, "secondStreetLine", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], ShippingAddress.prototype, "postCode", null);
ShippingAddress = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], ShippingAddress);
exports.ShippingAddress = ShippingAddress;
