import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { User } from './user';
import { ShippingAddress } from './shipping-address';
/** This object contains information about an incoming shipping query. */
export declare class ShippingQuery implements Structure {
    payload: Interfaces.TelegramShippingQuery;
    constructor(payload: Interfaces.TelegramShippingQuery);
    get [Symbol.toStringTag](): string;
    /** Unique query identifier */
    get id(): string;
    /** User who sent the query */
    get from(): User;
    /** Sender ID */
    get senderId(): number;
    /** Bot specified invoice payload */
    get invoicePayload(): string;
    /** User specified shipping address */
    get shippingAddress(): ShippingAddress;
    toJSON(): Interfaces.TelegramShippingQuery;
}
