import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { StickerAttachment } from '../attachments';
import { PhotoSize } from './photo-size';
/** This object represents a sticker set. */
export declare class StickerSet implements Structure {
    payload: Interfaces.TelegramStickerSet;
    constructor(payload: Interfaces.TelegramStickerSet);
    get [Symbol.toStringTag](): string;
    /** Sticker set name */
    get name(): string;
    /** Sticker set title */
    get title(): string;
    /** Type of stickers in the set, currently one of `regular`, `mask`, `custom_emoji` */
    get stickerType(): import("../../types/types").SoftString<Interfaces.TelegramStickerSetStickerType>;
    /** `true`, if the sticker set contains animated stickers */
    isAnimated(): boolean;
    /** `true`, if the sticker set contains video stickers */
    isVideo(): boolean;
    /** List of all set stickers */
    get stickers(): StickerAttachment[] | undefined;
    /** Sticker set thumbnail in the .WEBP or .TGS format */
    get thumbnail(): PhotoSize | undefined;
    toJSON(): Interfaces.TelegramStickerSet;
}
