"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Story = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
let Story = class Story {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Unique identifier for the story in the chat */
    get id() {
        return this.payload.id;
    }
    /** Chat that posted the story */
    get chat() {
        return this.payload.chat;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], Story.prototype, "id", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], Story.prototype, "chat", null);
Story = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], Story);
exports.Story = Story;
