import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { OrderInfo } from './order-info';
/** This object contains basic information about a successful payment. */
export declare class SuccessfulPayment implements Structure {
    payload: Interfaces.TelegramSuccessfulPayment;
    constructor(payload: Interfaces.TelegramSuccessfulPayment);
    get [Symbol.toStringTag](): string;
    /** Three-letter ISO 4217 currency code */
    get currency(): Interfaces.Currency;
    /**
     * Total price in the smallest units of the currency
     * (integer, not float/double). For example, for a price of
     * `US$ 1.45` pass `amount = 145`. See the `exp` parameter in
     * [currencies.json](https://core.telegram.org/bots/payments/currencies.json),
     * it shows the number of digits past the decimal point for each currency
     * (2 for the majority of currencies).
     */
    get totalAmount(): number;
    /** Bot specified invoice payload */
    get invoicePayload(): string;
    /** Identifier of the shipping option chosen by the user */
    get shippingOptionId(): string | undefined;
    /** Order info provided by the user */
    get orderInfo(): OrderInfo | undefined;
    /** Telegram payment identifier */
    get telegramPaymentChargeId(): string;
    /** Provider payment identifier */
    get providerPaymentChargeId(): string;
    toJSON(): Interfaces.TelegramSuccessfulPayment;
}
