import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { MessageEntities } from '../message-entities';
/** This object contains information about the quoted part of a message that is replied to by the given message. */
export declare class TextQuote implements Structure {
    payload: Interfaces.TelegramTextQuote;
    constructor(payload: Interfaces.TelegramTextQuote);
    get [Symbol.toStringTag](): string;
    /** Text of the quoted part of a message that is replied to by the given message */
    get text(): string;
    /** Special entities that appear in the quote. Currently, only `bold`, `italic`, `underline`, `strikethrough`, `spoiler`, and `custom_emoji` entities are kept in quotes. */
    get entities(): MessageEntities | undefined;
    /** Approximate quote position in the original message in UTF-16 code units as specified by the sender */
    get position(): number;
    /** `true`, if the quote was chosen manually by the message sender. Otherwise, the quote was added automatically by the server. */
    isManual(): true | undefined;
    toJSON(): Interfaces.TelegramTextQuote;
}
