import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { PhotoSize } from './photo-size';
/** This object represent a user's profile pictures. */
export declare class UserProfilePhotos implements Structure {
    payload: Interfaces.TelegramUserProfilePhotos;
    constructor(payload: Interfaces.TelegramUserProfilePhotos);
    get [Symbol.toStringTag](): string;
    /** Total number of profile pictures the target user has */
    get totalCount(): number;
    /** Requested profile pictures (in up to 4 sizes each) */
    get photos(): PhotoSize[][] | undefined;
    toJSON(): Interfaces.TelegramUserProfilePhotos;
}
