"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserProfilePhotos = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const photo_size_1 = require("./photo-size");
/** This object represent a user's profile pictures. */
let UserProfilePhotos = class UserProfilePhotos {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Total number of profile pictures the target user has */
    get totalCount() {
        return this.payload.total_count;
    }
    /** Requested profile pictures (in up to 4 sizes each) */
    get photos() {
        const { photos } = this.payload;
        if (!photos.length) {
            return;
        }
        return photos.map(row => row.map(element => new photo_size_1.PhotoSize(element)));
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], UserProfilePhotos.prototype, "totalCount", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)({ nullable: false })
], UserProfilePhotos.prototype, "photos", null);
UserProfilePhotos = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], UserProfilePhotos);
exports.UserProfilePhotos = UserProfilePhotos;
