import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
import { Location } from './location';
/** This object represents a venue. */
export declare class Venue implements Structure {
    payload: Interfaces.TelegramVenue;
    constructor(payload: Interfaces.TelegramVenue);
    get [Symbol.toStringTag](): string;
    /** Venue location */
    get location(): Location;
    /** Name of the venue */
    get title(): string;
    /** Address of the venue */
    get address(): string;
    /** Foursquare identifier of the venue */
    get foursquareId(): string | undefined;
    /** Foursquare type of the venue */
    get foursquareType(): string | undefined;
    /** Google Places identifier of the venue */
    get googlePlaceId(): string | undefined;
    /**
     * Google Places type of the venue.
     * (See [supported types](https://developers.google.com/places/web-service/supported_types).)
     */
    get googlePlaceType(): string | undefined;
    toJSON(): Interfaces.TelegramVenue;
}
