"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VideoChatParticipantsInvited = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
const user_1 = require("./user");
/** This object represents a service message about new members invited to a video chat. */
let VideoChatParticipantsInvited = class VideoChatParticipantsInvited {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** New members that were invited to the video chat */
    get users() {
        return this.payload.users.map(user => new user_1.User(user));
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], VideoChatParticipantsInvited.prototype, "users", null);
VideoChatParticipantsInvited = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], VideoChatParticipantsInvited);
exports.VideoChatParticipantsInvited = VideoChatParticipantsInvited;
