"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VideoChatScheduled = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/**
 * This object represents a service message about a video chat scheduled in the chat
 */
let VideoChatScheduled = class VideoChatScheduled {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** Point in time (Unix timestamp) when the video chat is supposed to be started by a chat administrator */
    get startDate() {
        return this.payload.start_date;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], VideoChatScheduled.prototype, "startDate", null);
VideoChatScheduled = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], VideoChatScheduled);
exports.VideoChatScheduled = VideoChatScheduled;
