import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** Contains data sent from a Web App to the bot. */
export declare class WebAppData implements Structure {
    payload: Interfaces.TelegramWebAppData;
    constructor(payload: Interfaces.TelegramWebAppData);
    /** The data. Be aware that a bad client can send arbitrary data in this field. */
    get data(): string;
    /**
     * Text of the `web_app` keyboard button, from which the Web App was opened.
     * Be aware that a bad client can send arbitrary data in this field.
     */
    get buttonText(): string;
    toJSON(): Interfaces.TelegramWebAppData;
}
