"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebAppData = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** Contains data sent from a Web App to the bot. */
let WebAppData = class WebAppData {
    constructor(payload) {
        this.payload = payload;
    }
    /** The data. Be aware that a bad client can send arbitrary data in this field. */
    get data() {
        return this.payload.data;
    }
    /**
     * Text of the `web_app` keyboard button, from which the Web App was opened.
     * Be aware that a bad client can send arbitrary data in this field.
     */
    get buttonText() {
        return this.payload.button_text;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], WebAppData.prototype, "data", null);
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], WebAppData.prototype, "buttonText", null);
WebAppData = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], WebAppData);
exports.WebAppData = WebAppData;
