"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebAppInfo = void 0;
const tslib_1 = require("tslib");
const inspectable_1 = require("inspectable");
/** Contains information about a Web App. */
let WebAppInfo = class WebAppInfo {
    constructor(payload) {
        this.payload = payload;
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    /** An HTTPS URL of a Web App to be opened with additional data as specified in Initializing Web Apps */
    get url() {
        return this.payload.url;
    }
    toJSON() {
        return this.payload;
    }
};
tslib_1.__decorate([
    (0, inspectable_1.Inspect)()
], WebAppInfo.prototype, "url", null);
WebAppInfo = tslib_1.__decorate([
    (0, inspectable_1.Inspectable)()
], WebAppInfo);
exports.WebAppInfo = WebAppInfo;
