import * as Interfaces from '../../generated/telegram-interfaces';
import { Structure } from '../../types/interfaces';
/** This object represents a service message about a user allowing a bot added to the attachment menu to write messages. Currently holds no information. */
export declare class WriteAccessAllowed implements Structure {
    payload: Interfaces.TelegramWriteAccessAllowed;
    constructor(payload: Interfaces.TelegramWriteAccessAllowed);
    get [Symbol.toStringTag](): string;
    /** `true`, if the access was granted after the user accepted an explicit request from a Web App sent by the method requestWriteAccess */
    get fromRequest(): boolean | undefined;
    /** Name of the Web App which was launched from a link */
    get webAppName(): string | undefined;
    /** `true`, if the access was granted when the bot was added to the attachment or side menu */
    get fromAttachmentMenu(): string | undefined;
    toJSON(): Interfaces.TelegramWriteAccessAllowed;
}
