import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Message } from '../common/structures';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface ChatBoostAddedContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class ChatBoostAddedContext extends Context {
    payload: Interfaces.TelegramMessage;
    private event;
    constructor(options: ChatBoostAddedContextOptions);
    /** Number of boosts added by the user */
    get boostCount(): number;
}
interface ChatBoostAddedContext extends Constructor<ChatBoostAddedContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<ChatBoostAddedContext, ChatBoostAddedContextOptions> {
}
export { ChatBoostAddedContext };
