import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { ChatBoostUpdated } from '../common/structures/chat-boost-updated';
import { Context } from './context';
import { CloneMixin, SendMixin } from './mixins';
interface ChatBoostContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramChatBoostUpdated;
    updateId: number;
}
/** This object represents a boost added to a chat or changed. */
declare class ChatBoostContext extends Context {
    payload: Interfaces.TelegramChatBoostUpdated;
    constructor(options: ChatBoostContextOptions);
}
interface ChatBoostContext extends Constructor<ChatBoostContext>, ChatBoostUpdated, SendMixin, CloneMixin<ChatBoostContext, ChatBoostContextOptions> {
}
export { ChatBoostContext };
