"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatBoostContext = void 0;
const helpers_1 = require("../utils/helpers");
const chat_boost_updated_1 = require("../common/structures/chat-boost-updated");
const context_1 = require("./context");
const mixins_1 = require("./mixins");
const inspectable_1 = require("inspectable");
/** This object represents a boost added to a chat or changed. */
class ChatBoostContext extends context_1.Context {
    constructor(options) {
        super({
            telegram: options.telegram,
            updateType: 'chat_boost',
            updateId: options.updateId,
            update: options.update
        });
        this.payload = options.payload;
    }
}
exports.ChatBoostContext = ChatBoostContext;
(0, helpers_1.applyMixins)(ChatBoostContext, [chat_boost_updated_1.ChatBoostUpdated, mixins_1.SendMixin, mixins_1.CloneMixin]);
(0, inspectable_1.inspectable)(ChatBoostContext, {
    serialize(context) {
        const payload = {
            chat: context.chat,
            boost: context.boost
        };
        return payload;
    }
});
