import { Constructor } from '../types/types';
import * as Interfaces from '../generated/telegram-interfaces';
import { ChatJoinRequest } from '../common/structures';
import { Telegram } from '../telegram';
import { Context } from './context';
import { SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatInviteControlMixin } from './mixins';
interface ChatJoinRequestContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramChatJoinRequest;
    updateId: number;
}
declare class ChatJoinRequestContext extends Context {
    payload: Interfaces.TelegramChatJoinRequest;
    constructor(options: ChatJoinRequestContextOptions);
    /** Approves chat join request */
    approve(): Promise<true>;
    /** Declines chat join request */
    decline(): Promise<true>;
}
interface ChatJoinRequestContext extends Constructor<ChatJoinRequestContext>, ChatJoinRequest, TargetMixin, SendMixin, ChatActionMixin, ChatInviteControlMixin, CloneMixin<ChatJoinRequestContext, ChatJoinRequestContextOptions> {
}
export { ChatJoinRequestContext };
