import * as Interfaces from '../generated/telegram-interfaces';
import { ChatMemberUpdated } from '../common/structures';
import { Telegram } from '../telegram';
import { UpdateName, Constructor, Require } from '../types/types';
import { Context } from './context';
import { SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatControlMixin } from './mixins';
interface ChatMemberContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramChatMemberUpdated;
    updateId: number;
    type?: UpdateName;
}
declare class ChatMemberContext extends Context {
    payload: Interfaces.TelegramChatMemberUpdated;
    constructor(options: ChatMemberContextOptions);
    /** Does this update have `invite_link` property? */
    hasInviteLink(): this is Require<this, 'inviteLink'>;
}
interface ChatMemberContext extends Constructor<ChatMemberContext>, ChatMemberUpdated, TargetMixin, SendMixin, ChatActionMixin, ChatControlMixin, CloneMixin<ChatMemberContext, ChatMemberContextOptions> {
}
export { ChatMemberContext };
