import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import type { ContextsMapping } from '../types/mappings';
import type { MaybeArray, SoftString, UpdateName } from '../types/types';
interface ContextOptions {
    telegram: Telegram;
    update?: Interfaces.TelegramUpdate;
    updateType: UpdateName | 'unknown';
    updateId?: number;
}
declare class Context {
    telegram: Telegram;
    updateId?: number;
    update?: Interfaces.TelegramUpdate;
    protected updateType: UpdateName | 'unknown';
    constructor(options: ContextOptions);
    get [Symbol.toStringTag](): string;
    is<T extends UpdateName>(rawTypes: MaybeArray<SoftString<T>>): this is ContextsMapping[T];
}
export { Context };
