import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Message } from '../common/structures';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface DeleteChatPhotoContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class DeleteChatPhotoContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: DeleteChatPhotoContextOptions);
}
interface DeleteChatPhotoContext extends Constructor<DeleteChatPhotoContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<DeleteChatPhotoContext, DeleteChatPhotoContextOptions> {
}
export { DeleteChatPhotoContext };
