"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForumTopicClosedContext = void 0;
const structures_1 = require("../common/structures");
const helpers_1 = require("../utils/helpers");
const context_1 = require("./context");
const inspectable_1 = require("inspectable");
const mixins_1 = require("./mixins");
/** This object represents a service message about a forum topic closed in the chat. Currently holds no information. */
class ForumTopicClosedContext extends context_1.Context {
    constructor(options) {
        super({
            telegram: options.telegram,
            updateType: 'forum_topic_closed',
            updateId: options.updateId,
            update: options.update
        });
        this.payload = options.payload;
    }
}
exports.ForumTopicClosedContext = ForumTopicClosedContext;
(0, helpers_1.applyMixins)(ForumTopicClosedContext, [structures_1.Message, mixins_1.TargetMixin, mixins_1.SendMixin, mixins_1.ChatActionMixin, mixins_1.NodeMixin, mixins_1.ForumMixin, mixins_1.ChatInviteControlMixin, mixins_1.ChatControlMixin, mixins_1.ChatSenderControlMixin, mixins_1.ChatMemberControlMixin, mixins_1.PinsMixin, mixins_1.CloneMixin]);
(0, inspectable_1.inspectable)(ForumTopicClosedContext, {
    serialize(context) {
        return {};
    }
});
