import { Message } from '../common/structures';
import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor, RequireValue } from '../types/types';
import { Context } from './context';
import { ChatControlMixin, ChatInviteControlMixin, ChatMemberControlMixin, ChatSenderControlMixin, CloneMixin, ForumMixin, NodeMixin, PinsMixin, SendMixin, ChatActionMixin, TargetMixin } from './mixins';
interface GeneralForumTopicUnhiddenContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
/** This object represents a service message about General forum topic unhidden in the chat. Currently holds no information. */
declare class GeneralForumTopicUnhiddenContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: GeneralForumTopicUnhiddenContextOptions);
    /** Checks whether this topic is actually a 'General' one */
    isGeneralTopic(): this is RequireValue<this, 'threadId', undefined>;
}
interface GeneralForumTopicUnhiddenContext extends Constructor<GeneralForumTopicUnhiddenContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ForumMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<GeneralForumTopicUnhiddenContext, GeneralForumTopicUnhiddenContextOptions> {
}
export { GeneralForumTopicUnhiddenContext };
