"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GiveawayCompletedContext = void 0;
const inspectable_1 = require("inspectable");
const helpers_1 = require("../utils/helpers");
const context_1 = require("./context");
const mixins_1 = require("./mixins");
const message_1 = require("../common/structures/message");
/** This object represents a service message about the creation of a scheduled giveaway. Currently holds no information. */
class GiveawayCompletedContext extends context_1.Context {
    constructor(options) {
        super({
            telegram: options.telegram,
            updateType: 'giveaway_completed',
            updateId: options.updateId,
            update: options.update
        });
        this.payload = options.payload;
    }
    /** Giveaway completed */
    get eventGiveaway() {
        return this.giveawayCompleted;
    }
}
exports.GiveawayCompletedContext = GiveawayCompletedContext;
(0, helpers_1.applyMixins)(GiveawayCompletedContext, [message_1.Message, mixins_1.TargetMixin, mixins_1.SendMixin, mixins_1.ChatActionMixin, mixins_1.NodeMixin, mixins_1.ForumMixin, mixins_1.ChatInviteControlMixin, mixins_1.ChatControlMixin, mixins_1.ChatSenderControlMixin, mixins_1.ChatMemberControlMixin, mixins_1.PinsMixin, mixins_1.CloneMixin]);
(0, inspectable_1.inspectable)(GiveawayCompletedContext, {
    serialize(context) {
        const payload = {
            id: context.id,
            createdAt: context.createdAt,
            chat: context.chat,
            chatId: context.chatId,
            chatType: context.chatType,
            eventGiveaway: context.eventGiveaway
        };
        return (0, helpers_1.filterPayload)(payload);
    }
});
