import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { ChatActionMixin, ChatControlMixin, ChatInviteControlMixin, ChatMemberControlMixin, ChatSenderControlMixin, CloneMixin, ForumMixin, NodeMixin, PinsMixin, SendMixin, TargetMixin } from './mixins';
import { Message } from '../common/structures/message';
interface GiveawayCreatedContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
/** This object represents a service message about the creation of a scheduled giveaway. Currently holds no information. */
declare class GiveawayCreatedContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: GiveawayCreatedContextOptions);
}
interface GiveawayCreatedContext extends Constructor<GiveawayCreatedContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ForumMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<GiveawayCreatedContext, GiveawayCreatedContextOptions> {
}
export { GiveawayCreatedContext };
