"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GiveawayCreatedContext = void 0;
const inspectable_1 = require("inspectable");
const helpers_1 = require("../utils/helpers");
const context_1 = require("./context");
const mixins_1 = require("./mixins");
const message_1 = require("../common/structures/message");
/** This object represents a service message about the creation of a scheduled giveaway. Currently holds no information. */
class GiveawayCreatedContext extends context_1.Context {
    constructor(options) {
        super({
            telegram: options.telegram,
            updateType: 'giveaway_created',
            updateId: options.updateId,
            update: options.update
        });
        this.payload = options.payload;
    }
}
exports.GiveawayCreatedContext = GiveawayCreatedContext;
(0, helpers_1.applyMixins)(GiveawayCreatedContext, [message_1.Message, mixins_1.TargetMixin, mixins_1.SendMixin, mixins_1.ChatActionMixin, mixins_1.NodeMixin, mixins_1.ForumMixin, mixins_1.ChatInviteControlMixin, mixins_1.ChatControlMixin, mixins_1.ChatSenderControlMixin, mixins_1.ChatMemberControlMixin, mixins_1.PinsMixin, mixins_1.CloneMixin]);
(0, inspectable_1.inspectable)(GiveawayCreatedContext, {
    serialize(context) {
        return {
            id: context.id,
            createdAt: context.createdAt,
            chat: context.chat,
            chatId: context.chatId,
            chatType: context.chatType
        };
    }
});
