import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { ChatActionMixin, ChatControlMixin, ChatInviteControlMixin, ChatMemberControlMixin, ChatSenderControlMixin, CloneMixin, ForumMixin, NodeMixin, PinsMixin, SendMixin, TargetMixin } from './mixins';
import { Message } from '../common/structures/message';
interface GiveawayWinnersContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
/** This object represents a message about the completion of a giveaway with public winners. */
declare class GiveawayWinnersContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: GiveawayWinnersContextOptions);
    /** Giveaway winners */
    get eventGiveaway(): import("..").GiveawayWinners;
}
interface GiveawayWinnersContext extends Constructor<GiveawayWinnersContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ForumMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<GiveawayWinnersContext, GiveawayWinnersContextOptions> {
}
export { GiveawayWinnersContext };
