import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Message } from '../common/structures';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface GroupChatCreatedContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class GroupChatCreatedContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: GroupChatCreatedContextOptions);
}
interface GroupChatCreatedContext extends Constructor<GroupChatCreatedContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<GroupChatCreatedContext, GroupChatCreatedContextOptions> {
}
export { GroupChatCreatedContext };
