import * as Interfaces from '../generated/telegram-interfaces';
import { Invoice, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, PinsMixin } from './mixins';
interface InvoiceContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class InvoiceContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: InvoiceContextOptions);
    /** Invoice */
    get eventInvoice(): Invoice;
}
interface InvoiceContext extends Constructor<InvoiceContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, PinsMixin, CloneMixin<InvoiceContext, InvoiceContextOptions> {
}
export { InvoiceContext };
