import * as Interfaces from '../generated/telegram-interfaces';
import { User, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface LeftChatMemberContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class LeftChatMemberContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: LeftChatMemberContextOptions);
    /** Left chat member */
    get eventMember(): User;
}
interface LeftChatMemberContext extends Constructor<LeftChatMemberContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<LeftChatMemberContext, LeftChatMemberContextOptions> {
}
export { LeftChatMemberContext };
