import * as Interfaces from '../generated/telegram-interfaces';
import { Location, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface LocationContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class LocationContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: LocationContextOptions);
    /** Location */
    get eventLocation(): Location;
}
interface LocationContext extends Constructor<LocationContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<LocationContext, LocationContextOptions> {
}
export { LocationContext };
