import * as Interfaces from '../generated/telegram-interfaces';
import { MessageAutoDeleteTimerChanged, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, PinsMixin } from './mixins';
interface MessageAutoDeleteTimerChangedContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class MessageAutoDeleteTimerChangedContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: MessageAutoDeleteTimerChangedContextOptions);
    /** Message auto delete timer */
    get autoDeleteTimer(): MessageAutoDeleteTimerChanged;
}
interface MessageAutoDeleteTimerChangedContext extends Constructor<MessageAutoDeleteTimerChangedContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, PinsMixin, CloneMixin<MessageAutoDeleteTimerChangedContext, MessageAutoDeleteTimerChangedContextOptions> {
}
export { MessageAutoDeleteTimerChangedContext };
