import { MessageReactionCountUpdated } from '../common/structures/message-reaction-count-updated';
import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { CloneMixin, NodeMixin, SendMixin } from './mixins';
interface MessageReactionCountContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessageReactionCountUpdated;
    updateId: number;
}
/** This object represents reaction changes on a message with anonymous reactions. */
declare class MessageReactionCountContext extends Context {
    payload: Interfaces.TelegramMessageReactionCountUpdated;
    constructor(options: MessageReactionCountContextOptions);
}
interface MessageReactionCountContext extends Constructor<MessageReactionCountContext>, MessageReactionCountUpdated, SendMixin, NodeMixin, CloneMixin<MessageReactionCountContext, MessageReactionCountContextOptions> {
}
export { MessageReactionCountContext };
