"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageReactionCountContext = void 0;
const inspectable_1 = require("inspectable");
const message_reaction_count_updated_1 = require("../common/structures/message-reaction-count-updated");
const helpers_1 = require("../utils/helpers");
const context_1 = require("./context");
const mixins_1 = require("./mixins");
/** This object represents reaction changes on a message with anonymous reactions. */
class MessageReactionCountContext extends context_1.Context {
    constructor(options) {
        super({
            telegram: options.telegram,
            updateType: 'message_reaction_count',
            updateId: options.updateId,
            update: options.update
        });
        this.payload = options.payload;
    }
}
exports.MessageReactionCountContext = MessageReactionCountContext;
(0, helpers_1.applyMixins)(MessageReactionCountContext, [message_reaction_count_updated_1.MessageReactionCountUpdated, mixins_1.SendMixin, mixins_1.NodeMixin, mixins_1.CloneMixin]);
(0, inspectable_1.inspectable)(MessageReactionCountContext, {
    serialize(context) {
        const payload = {
            id: context.id,
            chat: context.chat,
            date: context.date,
            reactions: context.reactions
        };
        return payload;
    }
});
