import { Require, Constructor } from '../types/types';
import { MessageReactionUpdated } from '../common/structures/message-reaction-updated';
import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Context } from './context';
import { CloneMixin, NodeMixin, SendMixin } from './mixins';
interface MessageReactionContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessageReactionUpdated;
    updateId: number;
}
/** This object represents a change of a reaction on a message performed by a user. */
declare class MessageReactionContext extends Context {
    payload: Interfaces.TelegramMessageReactionUpdated;
    constructor(options: MessageReactionContextOptions);
    /** Checks if context has the `user` property */
    hasUser(): this is Require<this, 'user'>;
    /** Checks if context has the `actorChat` property */
    hasActorChat(): this is Require<this, 'actorChat'>;
}
interface MessageReactionContext extends Constructor<MessageReactionContext>, MessageReactionUpdated, SendMixin, NodeMixin, CloneMixin<MessageReactionContext, MessageReactionContextOptions> {
}
export { MessageReactionContext };
