"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MigrateFromChatIdContext = void 0;
const inspectable_1 = require("inspectable");
const structures_1 = require("../common/structures");
const helpers_1 = require("../utils/helpers");
const context_1 = require("./context");
const mixins_1 = require("./mixins");
class MigrateFromChatIdContext extends context_1.Context {
    constructor(options) {
        super({
            telegram: options.telegram,
            updateType: 'migrate_from_chat_id',
            updateId: options.updateId,
            update: options.update
        });
        this.payload = options.payload;
    }
    /** Chat ID */
    get eventId() {
        return this.payload.migrate_to_chat_id;
    }
}
exports.MigrateFromChatIdContext = MigrateFromChatIdContext;
(0, helpers_1.applyMixins)(MigrateFromChatIdContext, [structures_1.Message, mixins_1.TargetMixin, mixins_1.SendMixin, mixins_1.ChatActionMixin, mixins_1.NodeMixin, mixins_1.PinsMixin, mixins_1.ChatInviteControlMixin, mixins_1.CloneMixin]);
(0, inspectable_1.inspectable)(MigrateFromChatIdContext, {
    serialize(context) {
        return {
            id: context.id,
            from: context.from,
            senderId: context.senderId,
            createdAt: context.createdAt,
            chat: context.chat,
            chatId: context.chatId,
            chatType: context.chatType,
            eventId: context.eventId
        };
    }
});
