import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Message } from '../common/structures';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, PinsMixin, ChatInviteControlMixin } from './mixins';
interface MigrateToChatIdContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class MigrateToChatIdContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: MigrateToChatIdContextOptions);
    /** Chat ID */
    get eventId(): number;
}
interface MigrateToChatIdContext extends Constructor<MigrateToChatIdContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, PinsMixin, ChatInviteControlMixin, CloneMixin<MigrateToChatIdContext, MigrateToChatIdContextOptions> {
}
export { MigrateToChatIdContext };
