import * as Methods from '../../generated/methods';
import { Optional } from '../../types/types';
import { Context } from '../context';
import { TargetMixin } from './target';
/** This object represents a mixin that works with all `*ChatInviteLink` methods */
declare class ChatInviteControlMixin {
    /** Generates new primary invite link */
    exportInviteLink(params?: Optional<Methods.ExportChatInviteLinkParams, 'chat_id'>): Promise<string>;
    /** Creates an additional invite link */
    createInviteLink(params?: Optional<Methods.CreateChatInviteLinkParams, 'chat_id'>): Promise<import("../../generated").TelegramChatInviteLink>;
    /** Edits non-primary invite link created by the bot */
    editInviteLink(link: string, params?: Optional<Methods.EditChatInviteLinkParams, 'chat_id' | 'invite_link'>): Promise<import("../../generated").TelegramChatInviteLink>;
    /** Revokes an invite link generated by a bot */
    revokeInviteLink(link: string, params?: Optional<Methods.RevokeChatInviteLinkParams, 'chat_id' | 'invite_link'>): Promise<import("../../generated").TelegramChatInviteLink>;
}
interface ChatInviteControlMixin extends Context, TargetMixin {
}
export { ChatInviteControlMixin };
