"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatMemberControlMixin = void 0;
/** This object represents a mixin that is able to control member's rights */
class ChatMemberControlMixin {
    /** Bans a user (o_O) */
    banMember(params) {
        return this.telegram.api.banChatMember({
            chat_id: this.chatId,
            user_id: this.senderId,
            ...params
        });
    }
    /** Unbans a user (O_o) */
    unbanMember(params) {
        return this.telegram.api.unbanChatMember({
            chat_id: this.chatId,
            user_id: this.senderId,
            ...params
        });
    }
    /** Restricts a user (O_O) */
    restrictMember(permissions, params) {
        return this.telegram.api.restrictChatMember({
            chat_id: this.chatId,
            permissions,
            user_id: this.senderId,
            ...params
        });
    }
    /** Promotes/demotes a user (o_o) */
    promoteMember(params) {
        return this.telegram.api.promoteChatMember({
            chat_id: this.chatId,
            user_id: this.senderId,
            ...params
        });
    }
}
exports.ChatMemberControlMixin = ChatMemberControlMixin;
