import { Constructor } from '../../types/types';
import { Context } from '../context';
interface CloneMixinMetadata<P> {
    payload: P;
}
/** This object represents a mixin which has `clone(options?)` method */
declare class CloneMixin<C extends Context & Constructor<C>, Options extends Record<string, any>> {
    clone(options?: Options): C;
}
interface CloneMixin<C, Options> extends Context, CloneMixinMetadata<Options['payload']> {
}
export { CloneMixin };
