/// <reference types="node" />
import { Attachment, MediaSourceToBuffer, MediaSourceToPath, MediaSourceToStream } from '../../common';
import { Context } from '../context';
interface DownloadMixinMetadata {
    get attachment(): Attachment | undefined;
}
/** This object represents a mixin that can be used to download media files */
declare class DownloadMixin {
    /** Downloads attachment */
    download(to?: MediaSourceToBuffer): Promise<Buffer | null>;
    download(to: MediaSourceToPath): Promise<void | null>;
    download(to: MediaSourceToStream): Promise<void | null>;
}
interface DownloadMixin extends Context, DownloadMixinMetadata {
}
export { DownloadMixin };
