import * as Methods from '../../generated/methods';
import { Optional } from '../../types/types';
import { Context } from '../context';
import { NodeMixin } from './node';
import { TargetMixin } from './target';
/** This object represents a mixin that ensures you have methods to pin/unpin messages in the chat */
declare class PinsMixin {
    /** Adds message to the list of pinned messages */
    pinChatMessage(params?: Optional<Methods.PinChatMessageParams, 'chat_id' | 'message_id'>): Promise<true>;
    /** Removes message from the list of pinned messages  */
    unpinChatMessage(params?: Optional<Methods.UnpinChatMessageParams, 'chat_id' | 'message_id'>): Promise<true>;
    /** Clears the list of pinned messages */
    unpinAllChatMessages(params?: Optional<Methods.UnpinAllChatMessagesParams, 'chat_id'>): Promise<true>;
}
interface PinsMixin extends Context, TargetMixin, NodeMixin {
}
export { PinsMixin };
