"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PinsMixin = void 0;
/** This object represents a mixin that ensures you have methods to pin/unpin messages in the chat */
class PinsMixin {
    /** Adds message to the list of pinned messages */
    pinChatMessage(params) {
        return this.telegram.api.pinChatMessage({
            chat_id: this.chatId,
            message_id: this.id,
            ...params
        });
    }
    /** Removes message from the list of pinned messages  */
    unpinChatMessage(params) {
        return this.telegram.api.unpinChatMessage({
            chat_id: this.chatId,
            message_id: this.id,
            ...params
        });
    }
    /** Clears the list of pinned messages */
    unpinAllChatMessages(params) {
        return this.telegram.api.unpinAllChatMessages({
            chat_id: this.chatId,
            ...params
        });
    }
}
exports.PinsMixin = PinsMixin;
