import * as Interfaces from '../generated/telegram-interfaces';
import { User, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface NewChatMembersContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class NewChatMembersContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: NewChatMembersContextOptions);
    /** New chat members */
    get eventMembers(): User[];
}
interface NewChatMembersContext extends Constructor<NewChatMembersContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<NewChatMembersContext, NewChatMembersContextOptions> {
}
export { NewChatMembersContext };
