import * as Interfaces from '../generated/telegram-interfaces';
import { PhotoSize, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface NewChatPhotoContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class NewChatPhotoContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: NewChatPhotoContextOptions);
    /** New chat photo */
    get eventPhoto(): PhotoSize[];
}
interface NewChatPhotoContext extends Constructor<NewChatPhotoContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<NewChatPhotoContext, NewChatPhotoContextOptions> {
}
export { NewChatPhotoContext };
