import { PassportData, Message } from '../common/structures';
import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, PinsMixin } from './mixins';
interface PassportDataContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class PassportDataContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: PassportDataContextOptions);
    /** Telegram Passport data */
    get passportData(): PassportData;
}
interface PassportDataContext extends Constructor<PassportDataContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, PinsMixin, CloneMixin<PassportDataContext, PassportDataContextOptions> {
}
export { PassportDataContext };
