import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Message } from '../common/structures';
import { Context } from './context';
import { MessageContext } from './message';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface PinnedMessageContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class PinnedMessageContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: PinnedMessageContextOptions);
    /** Pinned message */
    get eventMessage(): MessageContext;
}
interface PinnedMessageContext extends Constructor<PinnedMessageContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<PinnedMessageContext, PinnedMessageContextOptions> {
}
export { PinnedMessageContext };
