import * as Interfaces from '../generated/telegram-interfaces';
import { ProximityAlertTriggered, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface ProximityAlertTriggeredContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class ProximityAlertTriggeredContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: ProximityAlertTriggeredContextOptions);
    /**
     * Service message.
     * A user in the chat triggered another user's proximity alert
     * while sharing Live Location.
     */
    get proximityAlert(): ProximityAlertTriggered;
}
interface ProximityAlertTriggeredContext extends Constructor<ProximityAlertTriggeredContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<ProximityAlertTriggeredContext, ProximityAlertTriggeredContextOptions> {
}
export { ProximityAlertTriggeredContext };
