import { ChatBoostRemoved } from '../common/structures/chat-boost-removed';
import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { CloneMixin, SendMixin } from './mixins';
interface RemovedChatBoostContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramChatBoostRemoved;
    updateId: number;
}
/** This object represents a boost removed from a chat. */
declare class RemovedChatBoostContext extends Context {
    payload: Interfaces.TelegramChatBoostRemoved;
    constructor(options: RemovedChatBoostContextOptions);
}
interface RemovedChatBoostContext extends Constructor<RemovedChatBoostContext>, ChatBoostRemoved, SendMixin, CloneMixin<RemovedChatBoostContext, RemovedChatBoostContextOptions> {
}
export { RemovedChatBoostContext };
