"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemovedChatBoostContext = void 0;
const inspectable_1 = require("inspectable");
const chat_boost_removed_1 = require("../common/structures/chat-boost-removed");
const helpers_1 = require("../utils/helpers");
const context_1 = require("./context");
const mixins_1 = require("./mixins");
/** This object represents a boost removed from a chat. */
class RemovedChatBoostContext extends context_1.Context {
    constructor(options) {
        super({
            telegram: options.telegram,
            updateType: 'removed_chat_boost',
            updateId: options.updateId,
            update: options.update
        });
        this.payload = options.payload;
    }
}
exports.RemovedChatBoostContext = RemovedChatBoostContext;
(0, helpers_1.applyMixins)(RemovedChatBoostContext, [chat_boost_removed_1.ChatBoostRemoved, mixins_1.SendMixin, mixins_1.CloneMixin]);
(0, inspectable_1.inspectable)(RemovedChatBoostContext, {
    serialize(context) {
        const payload = {
            id: context.id,
            chat: context.chat,
            removeDate: context.removeDate,
            source: context.source
        };
        return payload;
    }
});
