import * as Interfaces from '../generated/telegram-interfaces';
import * as Methods from '../generated/methods';
import { Telegram } from '../telegram';
import { Constructor, Optional } from '../types/types';
import { ShippingQuery } from '../common/structures';
import { Context } from './context';
import { SendMixin, ChatActionMixin, CloneMixin } from './mixins';
interface ShippingQueryContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramShippingQuery;
    updateId: number;
}
declare class ShippingQueryContext extends Context {
    payload: Interfaces.TelegramShippingQuery;
    constructor(options: ShippingQueryContextOptions);
    /** Replies to shipping queries */
    answerShippingQuery<Ok extends boolean>(ok?: Ok, params?: Optional<Methods.AnswerShippingQueryParams, 'shipping_query_id' | 'ok'> & Required<Pick<Methods.AnswerShippingQueryParams, true extends Ok ? 'shipping_options' : 'error_message'>>): Promise<true>;
    /** Replies to shipping queries. An alias for `answerShippingQuery` */
    answer<Ok extends boolean>(ok?: Ok, params?: Optional<Methods.AnswerShippingQueryParams, 'shipping_query_id' | 'ok'> & Required<Pick<Methods.AnswerShippingQueryParams, true extends Ok ? 'shipping_options' : 'error_message'>>): Promise<true>;
}
interface ShippingQueryContext extends Constructor<ShippingQueryContext>, ShippingQuery, SendMixin, ChatActionMixin, CloneMixin<ShippingQueryContext, ShippingQueryContextOptions> {
}
export { ShippingQueryContext };
