import * as Interfaces from '../generated/telegram-interfaces';
import { SuccessfulPayment, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, PinsMixin } from './mixins';
interface SuccessfulPaymentContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class SuccessfulPaymentContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: SuccessfulPaymentContextOptions);
    /** Received payment */
    get eventPayment(): SuccessfulPayment;
}
interface SuccessfulPaymentContext extends Constructor<SuccessfulPaymentContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, PinsMixin, CloneMixin<SuccessfulPaymentContext, SuccessfulPaymentContextOptions> {
}
export { SuccessfulPaymentContext };
