import * as Interfaces from '../generated/telegram-interfaces';
import { VideoChatEnded, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface VideoChatEndedContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class VideoChatEndedContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: VideoChatEndedContextOptions);
    /** Service message: video chat ended */
    get eventEnded(): VideoChatEnded;
}
interface VideoChatEndedContext extends Constructor<VideoChatEndedContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<VideoChatEndedContext, VideoChatEndedContextOptions> {
}
export { VideoChatEndedContext };
