import * as Interfaces from '../generated/telegram-interfaces';
import { VideoChatParticipantsInvited, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface VideoChatParticipantsInvitedContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class VideoChatParticipantsInvitedContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: VideoChatParticipantsInvitedContextOptions);
    /** Service message: new participants invited to a video chat */
    get eventParticipantsInvited(): VideoChatParticipantsInvited;
}
interface VideoChatParticipantsInvitedContext extends Constructor<VideoChatParticipantsInvitedContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<VideoChatParticipantsInvitedContext, VideoChatParticipantsInvitedContextOptions> {
}
export { VideoChatParticipantsInvitedContext };
