import * as Interfaces from '../generated/telegram-interfaces';
import { VideoChatScheduled, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface VideoChatScheduledContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class VideoChatScheduledContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: VideoChatScheduledContextOptions);
    /** Service message: video chat scheduled */
    get eventScheduled(): VideoChatScheduled;
}
interface VideoChatScheduledContext extends Constructor<VideoChatScheduledContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<VideoChatScheduledContext, VideoChatScheduledContextOptions> {
}
export { VideoChatScheduledContext };
