import * as Interfaces from '../generated/telegram-interfaces';
import { VideoChatStarted, Message } from '../common/structures';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin, ChatMemberControlMixin, PinsMixin, ChatControlMixin, ChatInviteControlMixin, ChatSenderControlMixin } from './mixins';
interface VideoChatStartedContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class VideoChatStartedContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: VideoChatStartedContextOptions);
    /** Service message: video chat started */
    get eventStarted(): VideoChatStarted;
}
interface VideoChatStartedContext extends Constructor<VideoChatStartedContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, ChatInviteControlMixin, ChatControlMixin, ChatSenderControlMixin, ChatMemberControlMixin, PinsMixin, CloneMixin<VideoChatStartedContext, VideoChatStartedContextOptions> {
}
export { VideoChatStartedContext };
