import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Message } from '../common/structures';
import { Context } from './context';
import { NodeMixin, SendMixin, ChatActionMixin, TargetMixin, CloneMixin } from './mixins';
interface WebAppDataContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class WebAppDataContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: WebAppDataContextOptions);
    /** The data. Be aware that a bad client can send arbitrary data in this field. */
    get data(): string;
    /**
     * Text of the `web_app` keyboard button, from which the Web App was opened.
     * Be aware that a bad client can send arbitrary data in this field.
     */
    get buttonText(): string;
}
interface WebAppDataContext extends Constructor<WebAppDataContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, CloneMixin<WebAppDataContext, WebAppDataContextOptions> {
}
export { WebAppDataContext };
