import { Message, WriteAccessAllowed } from '../common/structures';
import * as Interfaces from '../generated/telegram-interfaces';
import { Telegram } from '../telegram';
import { Constructor } from '../types/types';
import { Context } from './context';
import { CloneMixin, NodeMixin, PinsMixin, SendMixin, ChatActionMixin, TargetMixin } from './mixins';
interface WriteAccessAllowedContextOptions {
    telegram: Telegram;
    update: Interfaces.TelegramUpdate;
    payload: Interfaces.TelegramMessage;
    updateId: number;
}
declare class WriteAccessAllowedContext extends Context {
    payload: Interfaces.TelegramMessage;
    constructor(options: WriteAccessAllowedContextOptions);
    /** Service message: user allows a bot to write messages after adding it to the attachment menu */
    get eventAllowance(): WriteAccessAllowed;
}
interface WriteAccessAllowedContext extends Constructor<WriteAccessAllowedContext>, Message, TargetMixin, SendMixin, ChatActionMixin, NodeMixin, PinsMixin, CloneMixin<WriteAccessAllowedContext, WriteAccessAllowedContextOptions> {
}
export { WriteAccessAllowedContext };
