"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TelegramError = void 0;
class TelegramError extends Error {
    constructor({ error_code, description, cause }) {
        super(description);
        this.code = error_code;
        this.name = this.constructor.name;
        this.cause = cause;
        Error.captureStackTrace(this, this.constructor);
    }
    get [Symbol.toStringTag]() {
        return this.constructor.name;
    }
    toJSON() {
        const json = {};
        for (const key of Object.getOwnPropertyNames(this)) {
            json[key] = this[key];
        }
        return json;
    }
}
exports.TelegramError = TelegramError;
