"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BotCommandScopeType = exports.StickerType = exports.StickerFormat = exports.ParseMode = exports.MessageEntityType = exports.ChatMemberStatus = exports.ChatAction = exports.DiceEmoji = exports.PollType = exports.ChatType = exports.UpdateType = exports.EntityType = exports.AttachmentType = void 0;
var AttachmentType;
(function (AttachmentType) {
    AttachmentType["Animation"] = "animation";
    AttachmentType["Audio"] = "audio";
    AttachmentType["Contact"] = "contact";
    AttachmentType["Document"] = "document";
    AttachmentType["Location"] = "location";
    AttachmentType["Photo"] = "photo";
    AttachmentType["Poll"] = "poll";
    AttachmentType["Sticker"] = "sticker";
    AttachmentType["Story"] = "story";
    AttachmentType["Venue"] = "venue";
    AttachmentType["VideoNote"] = "video_note";
    AttachmentType["Video"] = "video";
    AttachmentType["Voice"] = "voice";
})(AttachmentType = exports.AttachmentType || (exports.AttachmentType = {}));
var EntityType;
(function (EntityType) {
    EntityType["Mention"] = "mention";
    EntityType["Hashtag"] = "hashtag";
    EntityType["Cashtag"] = "cashtag";
    EntityType["BotCommand"] = "bot_command";
    EntityType["Url"] = "url";
    EntityType["Email"] = "email";
    EntityType["PhoneNumber"] = "phone_number";
    EntityType["Bold"] = "bold";
    EntityType["Italic"] = "italic";
    EntityType["Underline"] = "underline";
    EntityType["Strikethrough"] = "strikethrough";
    EntityType["Code"] = "code";
    EntityType["Pre"] = "pre";
    EntityType["TextLink"] = "text_link";
    EntityType["TextMention"] = "text_mention";
})(EntityType = exports.EntityType || (exports.EntityType = {}));
var UpdateType;
(function (UpdateType) {
    UpdateType["CallbackQuery"] = "callback_query";
    UpdateType["ChatJoinRequest"] = "chat_join_request";
    UpdateType["ChatMember"] = "chat_member";
    UpdateType["MyChatMember"] = "my_chat_member";
    UpdateType["ChosenInlineResult"] = "chosen_inline_result";
    UpdateType["DeleteChatPhoto"] = "delete_chat_photo";
    UpdateType["GroupChatCreated"] = "group_chat_created";
    UpdateType["InlineQuery"] = "inline_query";
    UpdateType["Invoice"] = "invoice";
    UpdateType["LeftChatMember"] = "left_chat_member";
    UpdateType["Location"] = "location";
    UpdateType["MessageAutoDeleteTimerChanged"] = "message_auto_delete_timer_changed";
    UpdateType["Message"] = "message";
    UpdateType["ChannelPost"] = "channel_post";
    UpdateType["EditedMessage"] = "edited_message";
    UpdateType["EditedChannelPost"] = "edited_channel_post";
    UpdateType["MessageReaction"] = "message_reaction";
    UpdateType["MessageReactionCount"] = "message_reaction_count";
    UpdateType["MigrateFromChatId"] = "migrate_from_chat_id";
    UpdateType["MigrateToChatId"] = "migrate_to_chat_id";
    UpdateType["NewChatMembers"] = "new_chat_members";
    UpdateType["NewChatPhoto"] = "new_chat_photo";
    UpdateType["NewChatTitle"] = "new_chat_title";
    UpdateType["PassportData"] = "passport_data";
    UpdateType["PinnedMessage"] = "pinned_message";
    UpdateType["PollAnswer"] = "poll_answer";
    UpdateType["Poll"] = "poll";
    UpdateType["PreCheckoutQuery"] = "pre_checkout_query";
    UpdateType["ProximityAlertTriggered"] = "proximity_alert_triggered";
    UpdateType["WriteAccessAllowed"] = "write_access_allowed";
    UpdateType["ForumTopicCreated"] = "forum_topic_created";
    UpdateType["ForumTopicEdited"] = "forum_topic_edited";
    UpdateType["ForumTopicClosed"] = "forum_topic_closed";
    UpdateType["ForumTopicReopened"] = "forum_topic_reopened";
    UpdateType["GeneralForumTopicHidden"] = "general_forum_topic_hidden";
    UpdateType["GeneralForumTopicUnhidden"] = "general_forum_topic_unhidden";
    UpdateType["ShippingQuery"] = "shipping_query";
    UpdateType["SuccessfulPayment"] = "successful_payment";
    UpdateType["UsersShared"] = "users_shared";
    UpdateType["ChatShared"] = "chat_shared";
    UpdateType["VideoChatEnded"] = "video_chat_ended";
    UpdateType["VideoChatParticipantsInvited"] = "video_chat_participants_invited";
    UpdateType["VideoChatScheduled"] = "video_chat_scheduled";
    UpdateType["VideoChatStarted"] = "video_chat_started";
    UpdateType["WebAppData"] = "web_app_data";
    UpdateType["GiveawayCreated"] = "giveaway_created";
    UpdateType["GiveawayCompleted"] = "giveaway_completed";
    UpdateType["GiveawayWinners"] = "giveaway_winners";
    UpdateType["ServiceMessage"] = "service_message";
    UpdateType["ChatBoost"] = "chat_boost";
    UpdateType["RemovedChatBoost"] = "removed_chat_boost";
})(UpdateType = exports.UpdateType || (exports.UpdateType = {}));
var ChatType;
(function (ChatType) {
    ChatType["Private"] = "private";
    ChatType["Group"] = "group";
    ChatType["Supergroup"] = "supergroup";
    ChatType["Channel"] = "channel";
})(ChatType = exports.ChatType || (exports.ChatType = {}));
var PollType;
(function (PollType) {
    PollType["Regular"] = "regular";
    PollType["Quiz"] = "quiz";
})(PollType = exports.PollType || (exports.PollType = {}));
var DiceEmoji;
(function (DiceEmoji) {
    DiceEmoji["Dice"] = "\uD83C\uDFB2";
    DiceEmoji["Dart"] = "\uD83C\uDFAF";
    DiceEmoji["Basketball"] = "\uD83C\uDFC0";
    DiceEmoji["Football"] = "\u26BD";
    DiceEmoji["SlotMachine"] = "\uD83C\uDFB0";
    DiceEmoji["Bowling"] = "\uD83C\uDFB3";
})(DiceEmoji = exports.DiceEmoji || (exports.DiceEmoji = {}));
var ChatAction;
(function (ChatAction) {
    ChatAction["Typing"] = "typing";
    ChatAction["UploadPhoto"] = "upload_photo";
    ChatAction["RecordVideo"] = "record_video";
    ChatAction["UploadVideo"] = "upload_video";
    ChatAction["RecordVoice"] = "record_voice";
    ChatAction["UploadVoice"] = "upload_voice";
    ChatAction["RecordVideoNote"] = "record_video_note";
    ChatAction["UploadVideoNote"] = "upload_video_note";
    ChatAction["UploadDocument"] = "upload_document";
    ChatAction["ChooseSticker"] = "choose_sticker";
    ChatAction["FindLocation"] = "find_location";
})(ChatAction = exports.ChatAction || (exports.ChatAction = {}));
var ChatMemberStatus;
(function (ChatMemberStatus) {
    ChatMemberStatus["Creator"] = "creator";
    ChatMemberStatus["Administrator"] = "administrator";
    ChatMemberStatus["Member"] = "member";
    ChatMemberStatus["Restricted"] = "restricted";
    ChatMemberStatus["Left"] = "left";
    ChatMemberStatus["Kicked"] = "kicked";
})(ChatMemberStatus = exports.ChatMemberStatus || (exports.ChatMemberStatus = {}));
var MessageEntityType;
(function (MessageEntityType) {
    MessageEntityType["Mention"] = "mention";
    MessageEntityType["Hashtag"] = "hashtag";
    MessageEntityType["Cashtag"] = "cashtag";
    MessageEntityType["BotCommand"] = "bot_command";
    MessageEntityType["Url"] = "url";
    MessageEntityType["Email"] = "email";
    MessageEntityType["PhoneNumber"] = "phone_number";
    MessageEntityType["Bold"] = "bold";
    MessageEntityType["Italic"] = "italic";
    MessageEntityType["Underline"] = "underline";
    MessageEntityType["Strikethrough"] = "strikethrough";
    MessageEntityType["Spoiler"] = "spoiler";
    MessageEntityType["Code"] = "code";
    MessageEntityType["Pre"] = "pre";
    MessageEntityType["TextLink"] = "text_link";
    MessageEntityType["TextMention"] = "text_mention";
    MessageEntityType["CustomEmoji"] = "custom_emoji";
    MessageEntityType["Blockquote"] = "blockquote";
})(MessageEntityType = exports.MessageEntityType || (exports.MessageEntityType = {}));
var ParseMode;
(function (ParseMode) {
    ParseMode["Markdown"] = "Markdown";
    ParseMode["MarkdownV2"] = "MarkdownV2";
    ParseMode["HTML"] = "HTML";
})(ParseMode = exports.ParseMode || (exports.ParseMode = {}));
var StickerFormat;
(function (StickerFormat) {
    StickerFormat["Static"] = "static";
    StickerFormat["Animated"] = "animated";
    StickerFormat["Video"] = "video";
})(StickerFormat = exports.StickerFormat || (exports.StickerFormat = {}));
var StickerType;
(function (StickerType) {
    StickerType["Regular"] = "regular";
    StickerType["Mask"] = "mask";
    StickerType["CustomEmoji"] = "custom_emoji";
})(StickerType = exports.StickerType || (exports.StickerType = {}));
var BotCommandScopeType;
(function (BotCommandScopeType) {
    BotCommandScopeType["Default"] = "default";
    BotCommandScopeType["AllPrivateChats"] = "all_private_chats";
    BotCommandScopeType["AllGroupChats"] = "all_group_chats";
    BotCommandScopeType["AllChatAdministrators"] = "all_chat_administrators";
    BotCommandScopeType["Chat"] = "chat";
    BotCommandScopeType["ChatAdministrators"] = "chat_administrators";
    BotCommandScopeType["ChatMember"] = "chat_member";
})(BotCommandScopeType = exports.BotCommandScopeType || (exports.BotCommandScopeType = {}));
