"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.METHODS_WITH_MEDIA = exports.SERVICE_MESSAGE_EVENTS = exports.EVENTS = exports.DEFAULT_OPTIONS = void 0;
const undici_1 = require("undici");
// @ts-expect-error JSON non-resolvable
const package_json_1 = require("../../package.json");
exports.DEFAULT_OPTIONS = {
    token: undefined,
    agent: new undici_1.Agent({
        keepAliveTimeout: 30000
    }),
    allowedUpdates: [],
    apiWait: 3000,
    apiBaseUrl: 'https://api.telegram.org/bot',
    apiRetryLimit: -1,
    apiTimeout: 30000,
    apiHeaders: {
        connection: 'keep-alive',
        'User-Agent': `puregram/${package_json_1.version} (+https://github.com/nitreojs/puregram)`
    },
    useTestDc: false,
    mergeMediaEvents: false
};
// THIS PART OF FILE IS AUTO-GENERATED!
// SOURCE: scripts/generate-constants
// @autogenerated generate-constants-events start
exports.EVENTS = [
    ['newChatMembers', 'new_chat_members'],
    ['leftChatMember', 'left_chat_member'],
    ['newChatTitle', 'new_chat_title'],
    ['newChatPhoto', 'new_chat_photo'],
    ['deleteChatPhoto', 'delete_chat_photo'],
    ['groupChatCreated', 'group_chat_created'],
    ['messageAutoDeleteTimerChanged', 'message_auto_delete_timer_changed'],
    ['migrateToChatId', 'migrate_to_chat_id'],
    ['migrateFromChatId', 'migrate_from_chat_id'],
    ['pinnedMessage', 'pinned_message'],
    ['invoice', 'invoice'],
    ['successfulPayment', 'successful_payment'],
    ['usersShared', 'users_shared'],
    ['chatShared', 'chat_shared'],
    ['proximityAlertTriggered', 'proximity_alert_triggered'],
    ['writeAccessAllowed', 'write_access_allowed'],
    ['forumTopicCreated', 'forum_topic_created'],
    ['forumTopicEdited', 'forum_topic_edited'],
    ['forumTopicClosed', 'forum_topic_closed'],
    ['forumTopicReopened', 'forum_topic_reopened'],
    ['generalForumTopicHidden', 'general_forum_topic_hidden'],
    ['generalForumTopicUnhidden', 'general_forum_topic_unhidden'],
    ['videoChatScheduled', 'video_chat_scheduled'],
    ['videoChatStarted', 'video_chat_started'],
    ['videoChatEnded', 'video_chat_ended'],
    ['videoChatParticipantsInvited', 'video_chat_participants_invited'],
    ['webAppData', 'web_app_data'],
    ['location', 'location'],
    ['passportData', 'passport_data'],
    ['giveawayCreated', 'giveaway_created'],
    ['giveawayCompleted', 'giveaway_completed'],
    ['giveawayWinners', 'giveaway_winners'],
    ['boostAdded', 'boost_added']
];
// @autogenerated generate-constants-events end
exports.SERVICE_MESSAGE_EVENTS = [
    'new_chat_members', 'left_chat_member', 'new_chat_title', 'new_chat_photo',
    'delete_chat_photo', 'group_chat_created',
    'message_auto_delete_timer_changed',
    'users_shared', 'chat_shared', 'write_access_allowed',
    'forum_topic_closed', 'forum_topic_created', 'forum_topic_edited', 'forum_topic_reopened', 'general_forum_topic_hidden', 'general_forum_topic_unhidden',
    'video_chat_scheduled', 'video_chat_started', 'video_chat_ended', 'video_chat_participants_invited',
    'web_app_data', 'giveaway_created', 'giveaway_completed',
    'migrate_from_chat_id', 'migrate_to_chat_id',
    'pinned_message', 'successful_payment', 'proximity_alert_triggered',
    'boost_added'
    // passport_data?
];
exports.METHODS_WITH_MEDIA = [
    ['sendPhoto', ['photo']],
    ['sendAudio', ['audio', 'thumb']],
    ['sendDocument', ['document', 'thumb']],
    ['sendVoice', ['voice']],
    ['sendVideo', ['video', 'thumb']],
    ['sendAnimation', ['animation', 'thumb']],
    ['sendVideoNote', ['video_note', 'thumb']],
    ['sendMediaGroup', ['media']],
    ['sendSticker', ['sticker']],
    ['uploadStickerFile', ['png_sticker']],
    ['createNewStickerSet', ['png_sticker', 'tgs_sticker', 'webm_sticker']],
    ['addStickerToSet', ['png_sticker', 'tgs_sticker', 'webm_sticker']],
    ['setStickerSetThumb', ['thumb']],
    ['editMessageMedia', ['media']],
    ['setWebhook', ['certificate']],
    ['setChatPhoto', ['photo']]
];
